var game = {
	title: 'ЧЁРНЫЙ И ЗЕЛЁНЫЙ',
	author: '<i>Над игрой работали - <b>Алик Гаджимурадов</b> (тестер), <b>Антон Ласточкин</b> (куратор, тестер), <b>Никита Цейковец</b> (тестер, адаптация и патчи для протопарсера), <b>Последний из Гаяр</b> (тестер), <b>Khaelenmore Thaal</b> (тестер), <b>Zlobot</b> (скрипты, текст). А вот автор идеи не установлен. Дело в том, что доподлинно неизвестно, кто именно придумал мансубы, известно только, что они появились в <b>VIII</b> веке.</i>',
	version: '<b>0.9</b>',
	ageRating: '<b>16+</b>',
	info: '<b>Ремарка:</b> Важную информацию от автора можно прочитать введя команду "информация" или её короткий аналог "инф".<br><br><b>Вместо мотто:</b> Единственной и неповторимой музе с урчанием посвящается.',
	tests: false,
	noScore: true
}

var player = {
	nam: ['вы', 'себя', 'себе', 'себя', 'собой', 'себе'],
	desc: 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.',
	loc: 'firstRoom',
	maxCarried: 2,
	hidden: true
}

//СДЕЛАТЬ: Царапать стены? Сделать реакцию на команду "украсть деньги", когда вы в теле Жана. Словесные баталии с Хьюго? Нужны ли они. Добавить в описание локаций в замке, что на дворе вечер - уже темно? Все-таки сделать систему очков? Показывать ходы? Это азартная штука. Но изначально я не стал встраивать эту систему, потому что в протопарсере, как и в других движках, нет встроенного механизма препятствия повторному отрабатыванию начисления очков.

//Должны ли жить жуки в землянке? В тюремной камере упоминаются мыши, но такого объекта там нет. "толкать" применительно к решетке?  Сделать глагол "звать" применительно к собаке и др NPC? 
 
var globalVerbs = {
	bow: function(){
		p ('Да, умение гнуть спину одно из самых важных при дворе, но сейчас это ни к чему.')
		return true
	},
	cut: function(){
		p ('У вас айхмофобия. У современных драматургов модно одаривать своих героев различными изъянами. Вам достался этот. Это никак не повлияет на развитие истории и бороться с недугом не придется, но возможно это поможет вам лучше вжиться в роль. Хотя ладно, забудьте всё, что вы только что прочитали, оно не несет вообще никакой смысловой нагрузки.')
		return true
	},
	rub: function(){
		p ('Это не волшебная лампа Алладина - джин не появится.')
		return true
	},
	screw: function(){
		p ('Это не по вашей части - вы гоблин-гуманитарий.')
		return true
	},
	sell: function(){
		p ('Вы интриган, а не торгаш.')
		return true
	},
	show: function(){
		p ('Не стоит выставлять на общее обозрение свои трофеи.')
		return true
	},
	tie: function(){
		p ('Макраме, это не по вашей части.')
		return true
	},
	untie: function(){
		p ('Связать, развязать. У вас какие-то садистские наклонности.')
		return true
	},
	unscrew: function(){
		p ('Это не по вашей части - вы гоблин-гуманитарий.')
		return true
	}
}

var events = {
	onIntro: function() {
		gameCommands.steal = ['steal',['украсть'],1]
		gameCommands.exitroom = ['exitroom',['выйти','наружу'],0]
		gameCommands.enterroom = ['enterroom',['войти','внутрь'],0]
		gameCommands.pushit = ['pushit',['толкнуть','толкать','пнуть'],1]
		gameCommands.scold = ['scold',['ругать','бранить'],1]
		gameCommands.liedawn = ['liedawn',['лечь','лежать'],-1]
		gameCommands.touch = ['touch',['трогать','коснуться'],1]
		gameCommands.smoke = ['smoke',['курить','закурить'],-1]
		gameCommands.ruddle = ['ruddle',['метить','пометить'],1]
		gameCommands.xyzzy = ['xyzzy',['xyzzy','хуззи'],0]
		gameCommands.drink = ['drink',['пить'],0]
		gameCommands.tear = ['tear',['рвать','разорвать','порвать'],1]
		gameCommands.howl = ['howl',['выть'],0]
		gameCommands.repair = ['repair',['чинить','починить'],1]
		gameCommands.cry = ['cry',['плакать'],0]
		gameCommands.eat[1].push('грызть','жевать')
		gameCommands.attack[1].push('ломать','сломать','выломать')
		gameCommands.say[1].push('просить','попросить','дай','стрельнуть')
		gameCommands.flip = ['flip',['подбросить','подкинуть'],1]
		gameCommands.sitdown = ['sitdown',['сесть'],0]
		gameCommands.standup = ['standup',['встать'],0]
		gameCommands.shout = ['shout',['кричать','крикнуть','закричать'],0]
		gameCommands.censoredoff = ['censoredoff',['цензура'],0]
		gameCommands.buy[1].push('подкупить')
		gameCommands.roar = ['roar',['рычать'],0]
		gameCommands.grins = ['grins',['скалиться'],0]
		gameCommands.dig = ['dig',['копать','рыть'],0]
		gameCommands.scratch = ['scratch',['скрести','царапать'],-1]
		gameCommands.shake = ['shake',['шатать','трясти'],1]
		gameCommands.spit = ['spit',['плюнуть','плевать'],0]
		gameCommands.lick = ['lick',['лизать'],1]
		gameCommands.seach = ['seach',['обыскать','искать'],-1]
		gameCommands.gameinfoget = ['gameinfoget',['информация','инф'],0]
	},
	beforeAll: function(com) {
		if (com == 'advice'){
			p ('Что бы получить подсказку по ходу игры, введите глагол <b>думать</b>.')
			return true
		}
		if (character == 2 && genqdone == 1){
			move(epicfight,'border')
			move(epicfightmod,'garbageroom')
		}
		if (character == 3 && genqdone == 1){
			move(epicfightmod,'border')
			move(epicfight,'garbageroom')
		}
		if (character == 5 && genqdone == 1){
			move(epicfightmod,'border')
			move(epicfight,'garbageroom')
		}
	},
	afterAll: function(com, obj, optional){
		player.loc == 'acreage' && genqdone == 0 && character != 2 && boozer.activity()
		if (player.loc == 'eastwall' && com == 'say') thief.response(optional)
		if (player.loc == 'grandstand' && knightogust.examined == 1 && findribbon == 0) {
			p ('<p>Мальчик-слуга принес ведро, поставил его на скамейку и ушел.</p>')
			move(bucket,'grandstand')
			move(water,'grandstand')
			findribbon = 1
		}
		if (player.loc == 'grandstand' && ribbon.examined == 1 && findribbon == 0){
			p ('<p>Мальчик-слуга принес ведро, поставил его на скамейку и ушел.</p>')
			move(bucket,'grandstand')
			move(water,'grandstand')
			findribbon = 1
		}
		if (player.loc == 'grandstand' && com == 'say') {
			p ('<p>В ответ на вашу реплику собравшиеся дружно хохочут и только. Кажется вас никто не воспринимает всерьёз.</p>')	
		}
		if (player.loc == 'hall' && dress.worn == false && nakedlady == 0 && hugo.loc == 'hall') {
			p ('<p>При виде абсолютно обнаженной Леди Анны глаза Хьюго наполнились ужасом (нет более страшного для гоблина зрелища, чем голый человек), но он все еще не дает вам сжечь компромат.</p>')
			nakedlady = 1
		}
	}
}

let dark = 0;
//стемнело
let character = 1;
//character - это персонаж. 1 - гоблин, 2 - пьяница, 3 - крестьянин, 4 - девица, 5 - вор, 6 - леди Анна
let findribbon = 0;
//триггер для проверки начала эвента с дракой, если пьяница в нужной локации.
let genqdone = 0;
//главный квестовый предмет появился в зоне досягаемости
let nakedlady = 0;
//одет ли игрок в финальной сцене
let vaudeville = 0;
//отключение/включение возможности снять одежду в финальной сцене

var firstRoom = {
	spec: 'room',
	head: 'Родовое гнездо',
	desc: 'Эта землянка служила домом нескольким поколениям ваших родичей, но последнее десять лет тут никто не живет. От некогда большого семейства в родных краях остались только двое самых отчаянных - вы да брат. Другие давно перебрались за реку, в места более дикие и безлюдные.<br><br>Люк наверху - единственный выход из помещения.',
	smell: function() {
		p ('Тут пахнет сырой землей, жуками и плесенью.')
		return true
	},
	walk: function(obj,dir) {
		if (dir == 'u' && dark == 0) {
			p ('Пока что подниматься наверх опасно - солнце сожжёт вашу кожу. Придется ждать сумерек.');
			return true
		}
		else if (dir == 'u' && dark == 1) {
			move(player,'forest')
			return true
		}
		else if (dir == 'd'){
			p ('Выражение "Что б ты сквозь землю провалился!" не нужно воспринимать буквально.')
			return true
		}
		else if (dir == 'n' || dir == 'nw' || dir == 'sw' || dir == 's' || dir == 'se' || dir == 'ne' || dir == 'e'){
			p ('Вы много времени посвятили самосовершенствованию, тем не менее до сих пор не научились ходить сквозь стены.')
			return true
		}
	},
	sleep: function() {
		if (coin.loc == 'player' && bottle.loc != 'player' && charredmatch.loc != 'player' && candywrapper != 'player' && cigarette.loc != 'player' && ribbon.loc != 'player') {
			p ('Стоило вам лечь на кровать как веки отяжелели и вы буквально провалились в сон.')
			move(coin,'firstRoom')
			move(letter,'firstRoom')
			move(player,'cellar')
			player.desc = 'Вы жуткий, лохматый монстр, бегающий на четырех лапах. Тут нет зеркала, но что-то вам подсказывает, что вы варг.'
			return true
		}
		else if (bottle.loc == 'player' && coin.loc != 'player' && charredmatch.loc != 'player' && candywrapper != 'player' && cigarette.loc != 'player' && ribbon.loc != 'player') {
			move(letter,'firstRoom')
			move(bottle,'firstRoom')
			move(player,'acreage')
			character = 2
			p('<p>Похоже вы вселились в тело пьяницы. Ну а куда еще вас могла привести винная бутылка? Только в такую оболочку! Такой субъект почти не управляем - его тело и разум идут порознь. Зато он может <b>ругать</b> кого захочет.</p>')
			player.desc = 'Похоже вы вселились в тело пьяницы. Ну а куда еще вас могла привести винная бутылка? Только в такую оболочку! Такой субъект почти не управляем - его тело и разум идут порознь. Зато он может <b>ругать</b> кого захочет.'
			return true
		}
		else if (charredmatch.loc == 'player' && coin.loc != 'player' && bottle.loc != 'player' && candywrapper != 'player' && cigarette.loc != 'player' && ribbon.loc != 'player') {
			move(letter,'firstRoom')
			move(charredmatch,'firstRoom')
			move(player,'acreage')
			character = 3
			p('<p>Вы вселились в тело обыкновенного простолюдина, который пришёл поглазеть на турнир.</p>')
			player.desc = 'Вы вселились в тело обыкновенного простолюдина, который пришёл поглазеть на турнир. Работяга, заядлый курильщик, вот пожалуй и всё, что можно сказать об этом человеке.'
			return true
		}
		else if (candywrapper.loc == 'player' && coin.loc != 'player' && bottle.loc != 'player' && charredmatch.loc != 'player' && cigarette.loc != 'player' && ribbon.loc != 'player') {
			move(letter,'firstRoom')
			move(candywrapper,'firstRoom')
			move(player,'grandstand')
			character = 4
			p('<p>О! Вы в теле приятной во всех отношениях девицы Франшетты и сидите на коленях не у кого-нибудь, а у самого короля. Так вот кто так любит шоколадные конфетки и бросает повсюду фантики...</p>')
			player.desc = 'При дворе Франшетту называют не иначе как очаровательной растяпой. Уж если кто может споткнутся три раза на ровном месте, попасть в глупое и смешное положение, то только она.'
			return true
		}
		else if (cigarette.loc == 'player' && coin.loc != 'player' && bottle.loc != 'player' && charredmatch.loc != 'player' && candywrapper != 'player' && ribbon.loc != 'player') {
			move(letter,'firstRoom')
			move(cigarette,'firstRoom')
			move(player,'border')
			character = 5
			p('<p>Вы в теле щеголеватого мошенника Жана. Он может <b>украсть</b> все что пожелает.</p>')
			player.desc = 'Жан - шулер, карманник, фокусник, актёр, прорицатель. Пять в одном. Он может <b>украсть</b> все что пожелает.'
			return true
		}
		else if (ribbon.loc == 'player' && coin.loc != 'player' && bottle.loc != 'player' && charredmatch.loc != 'player' && candywrapper != 'player' && cigarette.loc != 'player') {
			move(letter,'firstRoom')
			move(ribbon,'firstRoom')
			move(dress,'player')
			move(evidence,'player')
			dress.worn = true
			move(player,'hall')
			character = 6
			p('<p>Могли ли вы когда-нибудь подумать, что вам предоставится случай завладеть оболочкой леди Анны, вашей самой ярой недоброжелательницы? Определенно нет.</p>')
			player.desc = 'Леди Анну можно емко охарактеризовать использовав всего два слова - красивая интриганка. Когда ей это выгодно, она с вами заодно, но стоит ветру переменится и вуаля - она становится вашим самым злейшим врагом. Пожалуй из неё могла бы получится отличная гоблинесса.'
			walls.desc = 'Стены обтянуты фиолетовой тканью.'
			ground.desc = 'Пол устлан полированными, квадратными, гранитными плитами.' 
			return true
		}
		else if (letter.loc == 'player' && ribbon.loc != 'player' && coin.loc != 'player' && bottle.loc != 'player' && charredmatch.loc != 'player' && candywrapper != 'player' && cigarette.loc != 'player') {
			p('Хм. Похоже на гоблинов эта магия не работает. Что ж, вы попытались.') 
			return true
		}
	},
	wait: function(){
		if (dark == 0){
			p ('Вы нервничаете и вам кажется, что время тянется бесконечно. Пожалуй стоит найти более эффективный способ скоротать время до заката.')
			return true
		}
	},
	think: function(){
		if (dark == 0){
			p ('Для психики самый короткий путь из временной точки А во временную точку Б, это сон.')
			return true
		}
	},
	listen: function(){
		p ('Тут так тихо, что вы слышите, как бьётся ваше сердце.')
		return true
	},
	sing: function(){
		p ('Зачем петь самому? Доверьте это дело профессионалам. Зайдите на видеохостинг YouTube, наберите в поисковике "Nekrogoblikon - No One Survives" или "Mortiis - Mental Maelstrom" и наслаждайтесь. Это истинно гоблинская музыка.')
		return true
	}
}

var hatchway = {
	spec: 'thing',
	nam: ['люк','люка','люку','люк','люком','люке'],
	hidden: true,
	desc: 'Старый, полугнилой, деревянный люк, закрывающий вход в землянку. Снаружи он успел так плотно порасти травой и мхом, что стал неотличим от ландшафта.',
	loc: ['firstRoom','forest'],
	open: function(){
		p ('Да оставьте вы это несчастный люк в покое. Если хотите выйти из землянки, просто введите <b>вверх</b>, сокращенный вариант <b>вв</b> или <b>выйти</b>, <b>наружу</b>. Хотите войти в землянку? Пишите <b>вниз</b>, сокращенный вариант <b>вн</b> или <b>войти</b>, <b>внутрь</b>. Это протопарсер в конце концов  - не надо писать два слова, когда можно написать одно и получить точно такой же результат.')
		return true
	},
	close: function(){
		p ('Да оставьте вы это несчастный люк в покое. Если хотите выйти из землянки, просто введите <b>вверх</b>, сокращенный вариант <b>вв</b> или <b>выйти</b>, <b>наружу</b>. Хотите войти в землянку? Пишите <b>вниз</b>, сокращенный вариант <b>вн</b> или <b>войти</b>, <b>внутрь</b>. Это протопарсер в конце концов  - не надо писать два слова, когда можно написать одно и получить точно такой же результат.')
		return true
	},
	take: function(){
		p ('Ну оторвете вы люк, демаскируете землянку, а дальше-то что? Вандализм ни к чему.')
		return true
	}
}

var sun = {
	spec: 'thing',
	nam: ['солнце','солнца','солнцу','солнце','солнцем','солнце'],
	hidden: true,
	desc: 'Сейчас вы меньше всего на свете хотите видеть солнце, потому что оно способно нанести реальный вред вашему организму.',
	loc: 'firstRoom',
	eat: function(){
		p ('Горе! Горе! Крокодил солнце в небе проглотил! Только вот ведь незадача - гоблин вы, не крокодил.')
		return true
	},
	take: function(){
		p ('Глупый, оно же далеко.')
		return true
	},
	smell: function(){
		p ('Если вы приблизитесь к солнцу столь близко, что у вас получится его понюхать, то думаю пахнуть будете вы и пахнуть паленым.')
		return true
	}
}

var coin = {
	spec: 'thing',
	nam: ['монета','монеты','монете','монету','монетой','монете'],
	desc: 'Это так... безделица. Бабушка подарила давным-давно. Говорят, что у всякого памятного подарка есть свое особое свойство, но вам пока так и не удалось понять какую пользу можно извлечь из этой старой монеты. До сегодняшнего дня вы наивно полагали, что этот бронзовый, позеленевший от времени кружочек приносит удачу, однако события вчерашнего дня заставили вас в этом усомниться.',
	takeable: true,
	drop: function() {
		if (dark == 0) {
			p ('Штука бесполезная, бесспорно, но это ваша собственность, с которой расставаться ой как не просто. Пусть себе лежит дальше в кармане.')
			return true
		}
		else if (dark == 1) {
			p ('<p>Теперь, когда вы знаете, что монета не дает никаких бонусов её владельцу, находясь в кармане, можно её и выложить.</p>')
			return false
		}	
	},
	take: function(){
		if (character == 3 || character == 5){
			p ('Вы не настолько глупы, что бы осложнять себе жизнь, передавая нужные вам предметы оболочкам. Им они точно не нужны.')
			return true
		}
	},
	loc: 'player',
	smell: function(){
		p ('Монета пахнет чем-то горьким.')
		return true
	},
	eat: function(){
		p ('Во-первых монета грязная, а во-вторых она вся покрыта темно-зеленым, ядовитым окислом. На вашем месте я бы не стал брать такое в рот, кроме того неплохо было бы еще и руки вымыть после контакта с подобным предметом, а то мало ли.')
		return true
	}
}

var letter = {
	spec: 'thing',
	nam: ['письмо','письма','письму','письмо','письмом','письме'],
	desc: 'Письмо от брата. Будь он неладен.',
	text: '<i>Дорогой братец, спешу уведомить, что тебе надлежит убраться из замка его величества еще до темноты, в противном случае ты будешь обезглавлен. Я собрал кое какой компроматик на тебя и передал его леди Анне, которая, как ты и сам знаешь, питает к тебе такие же нежные чувства, как и я. Если завтра тебя увидят при дворе, то немедленно арестуют, затем эти самые порочащие документы попадут к королю и он велит тебя казнить. Так что отправляйся к родственникам за реку просиживать штаны и никогда не попадайся мне на глаза. Ничего личного, впрочем давно пора было отплатить тебе любезностью за любезность. Не думай, что я не знаю, что это ты меня подсидел в том деле касательно постройки мостов. Не моя вина, что мать родила меня чёрным, а тебя зелёным. Мы, чёрные гоблины, всегда были материалистами и прагматиками, в отличие от вас, зелёных - чертовых шарлатанов, дурящих людям мозги.</i><p align="right"><i>Твой брат Хьюго</i>.</p><p><b>P.S.</b><i> Твой запас чудодейственного крема от загара я позаимствовал, дабы у тебя не возникло соблазна строить мне козни при свете дня. Надеюсь никогда не увидимся.</i></p>',
	loc: 'player',
	drop: function() {
		p ('Вы, гоблины, народец злопамятный, так что это письмецо стоит приберечь, что бы при случае козырнуть, наступить так сказать на больную мозоль.')
		return true
	},
	eat: function(){
		p ('Вы не в шпионском фильме, где агенты питаются в основном секретными документами.')
		return true
	},
	smell: function(){
		p ('Вы чувствуете резкий, химический запах чернил.')
		return true
	},
	open: function(){
		p ('Это просто листок бумаги сложенный вчетверо - ни конверта, ни печати. Таким образом выходит, что его не выйдет в равной степени как открыть, так и распечатать. Попробуйте просто <b>прочитать письмо</b>.')
		return true
	}
}

var stairs = {
	spec: 'thing',
	nam: ['лестница','лестницы','лестнице','лестницу','лестницей','лестнице'],
	desc: 'Старая, деревянная, шаткая лестница стоит у стены. Если повезёт вы сможете выбраться по ней наружу, если не повезёт упадёте, свернёте себе шею и станет одним зелёным гоблином меньше. Её можно было бы починить, но тогда пропал бы дух авантюризма.',
	loc: 'firstRoom',
	smell: function(){
		p ('Если вам так хочется, то можно понюхать даже эту лестницу. Что же, она пахнет сухим, старым деревом. Надеюсь вы удовлетворены.')
		return true
	}
}

var bed = {
	spec: 'thing',
	nam: ['кровать','кровати','кровати','кровать','кроватью','кровати','короб'],
	desc: 'Это нельзя назвать кроватью в привычном понимании этого слова, перед вами прямоугольный, деревянный короб, набитый болотным мхом и устланный сверху высушенными на солнце листьями.',
	loc: 'firstRoom',
	smell: function(){
		p ('Пахнет прелыми листьями и травой.')
		return true
	}
}

var moss = {
	spec: 'thing',
	nam: ['мох','мха','мху','мох','мхом','мхе'],
	desc: 'Болотный сфагнум. Его собирали и сушили всей семьёй. Давно это было...',
	hidden: true,
	loc: 'firstRoom',
	eat: function(){
		p ('Вы еще не настолько опустились.')
		return true
	},
	smell: function(){
		p ('Пахнет как... мох.')
		return true
	}
}

var leaf = {
	spec: 'thing',
	nam: ['листья','листьев','листьям','листья','листьями','листьях'],
	desc: 'Буковые листья, собранные осенью. Подстилку меняют раз в год - когда начинается листопад. Само собой этого давно никто не делал.',
	hidden: true,
	loc: 'firstRoom',
	eat: function(){
		p ('Вы пожевали старые, пыльные листья и с отвращением выплюнули.')
		return true
	},
	smell: function(){
		p ('Пахнет прелой листвой.')
		return true
	}
}

var ground = {
	spec: 'thing',
	nam: ['пол','пола','полу','пол','полом','поле'],
	desc: 'Особый пол. При постройке его покрыли глиной со специальными добавками, подсушили и обожгли разведя огонь. Он немногим уступает по прочности камню.',
	hidden: true,
	loc: ['firstRoom','cellar','hall']
}

var roof = {
	spec: 'thing',
	nam: ['потолок','потолка','потолку','потолок','потолком','потолке'],
	desc: 'Потолок есть - и на том спасибо.',
	hidden: true,
	loc: ['firstRoom','cellar','hall']	
} 

var cellar = {
	spec: 'room',
	head: 'Тюремная камера',
	desc: 'Опять этот навязчивый сон из детства. Три стены и решетка. Сотни часов в попытке найти выход из заточения и все без толку - отсюда нет выхода.',
	wake: function() {
		if (knowsecret == 1) {
			p ('Пока вы спали стемнело.')
			dark = 1;
			move(coin,'player')
			move(letter,'player')
			move(player,'firstRoom')
			player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
			return true
		}
		else {
			move(coin,'player')
			move(letter,'player')
			move(player,'firstRoom')
			player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
			return true
		}
	},
	sleep: function() {
		p ('Сон внутри сна? И всё это наяву? Отлично, Энштейн! Думаю тут было бы не лишним вставить шутку про рекурсию и её необратимые последствия для этой истории.')
		return true
	},
	think: function(){
		if (knowsecret == 0){
			p ('Чтение - вот лучшее учение.')
			return true
		}
	},
	walk: function(obj,dir){
		if (dir == 'u'){
			p ('Летать вы пока еще не научились, хотя мечтали об этом с детства.')
			return true
		}
		else if (dir == 'd'){
			p ('Выражение "Что б ты сквозь землю провалился!" не нужно воспринимать буквально.')
			return true
		}
		else if (dir == 'n' || dir == 'nw' || dir == 'sw' || dir == 's' || dir == 'se' || dir == 'ne' || dir == 'e'){
			p ('Вы много времени посвятили самосовершенствованию, но тем не менее до сих пор не научились ходить сквозь стены.')
			return true
		}
	},
	listen: function(){
		p ('Вы слышите как за стеной завывает ветер, а где-то далеко скребутся мыши.')
		return true
	},
	smell: function(){
		p ('Тут пахнет варгом, от вас пахнет.')
		return true
	},
	sing: function(){
		p ('Вы умеете только выть. Увы. Не огорчайтесь, включите power metal, что-нибудь вроде "Powerwolf - Dead Boys Dont Cry".')
		return true
	}	
}

var walls = {
	spec: 'thing',
	nam: ['стены','стен','стенам','стены','стенами','стенах','стену'],
	hidden: true,
	desc: 'Стена, как ты скучна. Пряма, ровна и холодна. Искусственной преградой быть должна. Так предначертано судьбою. Но иногда и человек является стеною.',
	loc: ['firstRoom','cellar','hall'],
	smell: function(){
		if (player.loc == 'cellar'){
			p ('Ну вот, началось. Похоже вам понравилось быть варгом, вот уже стены обнюхиваете, а скоро и <b>метить</b> их начнете.')
			return true
		}
		else{
			p ('Пахнет землёй, влажным песком и гоблинами. Да, гоблины тоже имеют свой специфический запах, как и собаки, кошки, крысы или люди.')
			return true
		}
	}
}

var sky = {
	spec: 'thing',
	nam: ['небо','неба','небу','небо','небом','небе'],
	hidden: true,
	desc: 'Тёмное небо густо усыпано мерцающими звёздами.',
	loc: ['forest','beechgrove','bigroad','acreage','grandstand'],
	eat: function(){
		p ('Сдается мне вы забыли покушать перед тем, как садится играть. Исправьте это в высшей степени досадное упущение.')
		return true
	},
	smell: function(){
		p ('Перестаньте уже наконец все обнюхивать, посмотрите лучше восьмую серию первого сезона мультсериала "Футурама". Там есть нюхоскоп. А у вас нюхоскопа нет.')
		return true
	}
}

var stars = {
	spec: 'thing',
	nam: ['звезды','звезд','звездам','звезды','звездами','звездах','звёзды','звёзд','звёздам','звёзды','звёздами','звёздах'],
	hidden: true,
	desc: 'Астрология утверждает, что положение небесных тел на небосводе влияет на судьбы людей. Про гоблинов там ничего не сказано.',
	loc: ['forest','beechgrove','bigroad','acreage','grandstand'],
	eat: function(){
		p ('Сдается мне вы забыли покушать перед тем, как садится играть. Исправьте это в высшей степени досадное упущение.')
		return true
	},
	smell: function(){
		p ('Перестаньте уже наконец все обнюхивать, посмотрите лучше восьмую серию первого сезона мультсериала "Футурама". Там есть нюхоскоп. А у вас нюхоскопа нет.')
		return true
	}
}

var lattice = {
	spec: 'thing',
	nam: ['решетка','решетки','решетке','решетку','решеткой','решетке','прутья','решётка','решётки','решётке','решётку','решёткой','решётке'],
	desc: 'Толстые металлические прутья совсем не тронуты ржавчиной, хотя тут сыро.',
	hidden: true,
	loc: 'cellar',
	eat: function(){
		p ('Вы конечно в шкуре варга, но это не делает вас всесильным.')
		return true
	},
	smell: function(){
		p ('Пахнет железом.')
		return true
	},
	attack: function(){
		p ('Тот кто запер этого зверя здесь, позаботился о том, что бы он не смог покинуть это место.')
		return true
	}
}

let knowsecret = 0;
//Проверка прочитал ли игрок надпись в тюремной камере

var inscription = {
	spec: 'thing',
	nam: ['надпись','надписи','надписи','надпись','надписью','надписи','рисунок'],
	desc: 'Последний раз вы видели этот сон в далеком детстве и тогда, по невежеству своему, решили, что это рисунок. Для непосвященного такой текст действительно выглядит как декоративный орнамент, но на самом деле это старое, почти позабытое гоблинское наречие.',
	read: function() {
		p ('<i>Если ты смог это прочитать, то значит не так глуп, как мне всегда казалось. Дураку я бы никогда не решилась доверить нашу тайну. Знай же, что истинное могущество зелёного гоблина не в ловкости рук, а в умении вселяться в тела. Мы делаем это испокон веков. Первое - тебе нужна вещь принадлежащая марионетке, любая безделица. Второе - необходимо безопасное, исконно гоблинское, тёмное место. Третье - завладеть чужим телом ты можешь только во сне. Раз ты здесь, скорее всего ты уже применил на практике эти три правила, хоть и не осознанно. И последнее - будь осторожен и не используй свой дар без необходимости, иначе он может стать проклятьем.</i>')
		knowsecret = 1
		coin.desc = 'Все эти годы монетка тщательно хранила свой секрет и вот, в тот самый день, когда вас прижали к ногтю, тайное стало явным. Жаль что вы не владели этим искусством раньше. С другой стороны может оно и к лучшему - сила налагает ответственность.'
		return true
	},
	loc: 'cellar',
	smell: function(){
		p ('Да, для животных запахи являются важным источником информации, но если собака понюхает букварь, читать она не научится. А вот вы и так умеете.')
		return true
	}
}

var door = {
	spec: 'thing',
	nam: ['дверь','двери','двери','дверь','дверью','двери'],
	desc: 'Вот ведь странное дело... Камера есть, стены есть, решетка есть, а двери нет.',
	hidden: true,
	loc: 'cellar',
	open: function(){
		p ('Нельзя открыть то, чего нет.')
		return true
	},
	close: function(){
		p ('А как её закроешь, если её нет?')
		return true
	},
	take: function(){
		p ('А нет её и следовательно взять того чего нет не получится.')
		return true
	},
	attack: function(){
		p ('Это не смешно. Говорят же вам - двери нет.')
		return true
	}
}

var locker = {
	spec: 'thing',
	nam: ['замок','замка','замку','замок','замком','замке'],
	desc: 'Нет двери, значит и замка нет. Вот такие дела. Хотите верьте, хотите нет.',
	hidden: true,
	loc: 'cellar',
	open: function(){
		p ('Был бы замок, тогда можно было бы подумать как его открыть, а тут нет ничего - ни двери, ни замка.')
		return true
	},
	close: function(){
		p ('Ой да ну вас в самом деле.')
		return true
	},
	take: function(){
		p ('Нельзя взять то чего нет.')
		return true
	},
	attack: function(){
		p ('С вами всё хорошо? Тут нет никакого замка.')
		return true
	}
}

var forest = {
	spec: 'room',
	head: 'Лес',
	desc: 'В густой чаще, среди елей, находится вход в землянку. На западе дорога, ведущая к замку, на востоке буковая роща.',
	w: 'bigroad',
	e: 'beechgrove',
	d: 'firstRoom',
	walk: function(obj,dir){
		if (dir == 'u'){
			p ('Если бы гоблины умели летать, то в небесах было бы неспокойно.')
			return true
		}
		else if (dir == 's' || dir == 'n'){
			p ('С этой стороны ели так плотно сомкнули ветви, что даже вам, гоблину, не протиснутся через эту чащу.')
			return true
		}
		else if (dir == 'se' || dir == 'sw' || dir == 'nw' || dir == 'ne'){
			p ('Вы знаете в этом лесу каждое дерево, каждую травинку, каждый холмик, поэтому вам сразу ясно, что в этом направлении нет ничего интересного.')
			return true
		}
	},
	listen: function(){
		p ('Вечерний лес заполнен множеством звуков знакомых вам с детства.')
		return true
	},
	smell: function(){
		p ('Пахнет смолой и прелой листвой.')
		return true
	},
	sing: function(){
		p ('Зачем петь самому? Доверьте это дело профессионалам. Зайдите на видеохостинг YouTube, наберите в поисковике "Nekrogoblikon - No One Survives" или "Mortiis - Mental Maelstrom" и наслаждайтесь. Это истинно гоблинская музыка.')
		return true
	}
}

var covert = {
	spec: 'thing',
	nam: ['чаща','чащи','чаще','чащу','чащей','чаще'],
	desc: 'Деревья тут растут так близко друг к другу, что ни человек, ни крупный зверь не полезут сюда без надобности, а если полезут, то скоро махнут рукой - мало кому охота ползти на карачках, обламывая острые, сухие, еловые ветки так и норовящие воткнуться в глаз.',
	hidden: true,
	loc: 'forest'	
}

var fir = {
	spec: 'thing',
	nam: ['ели','елей','елям','ели','елями','елях','ель'],
	desc: 'Гоблины не любят свет, а в густом ельнике даже днем сумеречно. Где ель, там и гоблин.',
	hidden: true,
	loc: 'forest'
}

var resin = {
	spec: 'thing',
	nam: ['смола','смолы','смоле','смолу','смолой','смоле'],
	desc: 'Густая, прозрачная смола стекает по стволу вниз. Местами она уже успела застыть, образовав мутно-желтые бугорки-наросты. В детстве вы часто простужались и у вас болело горло. Бабушка отколупывала от этой ели куски смолы и заставляла их жевать. Как правило это природное лекарство помогало.',
	hidden: true,
	loc: 'forest',
	take: function(){
		p ('Зачем? Вспомнить детство? В отличие от брата, вы не любите жевать смолу. Да и горло у вас не болит.')
		return true
	},
	eat: function(){
		p ('Зачем? Вспомнить детство? В отличие от брата, вы не любите жевать смолу. Да и горло у вас не болит.')
		return true
	}
}

var branch = {
	spec: 'thing',
	nam: ['ветки','веток','веткам','ветки','ветками','ветках'],
	desc: 'Еловые ветки, сухие и ломкие.',
	hidden: true,
	loc: 'forest',
	take: function(){
		p ('Во-первых вы не собираетесь разводить огонь, следовательно эти сухие ветки вам ни к чему, во-вторых что бы сохранить это место в тайне стоит заботится о том, что бы всё выглядело естественно, так, словно здесь никто и никогда не проходил.')
		return true
	},
	attack: function(){
		p ('Во-первых вы не собираетесь разводить огонь, следовательно эти сухие ветки вам ни к чему, во-вторых что бы сохранить это место в тайне стоит заботится о том, что бы всё выглядело естественно, так, словно здесь никто и никогда не проходил.')
		return true
	}
}

var dugout = {
	spec: 'thing',
	nam: ['землянка','землянки','землянке','землянку','землянкой','землянке'],
	desc: 'Тут все так заросло, что непосвященный никогда не догадается, что тут есть вход в землянку. Ну холмик и холмик.',
	hidden: true,
	loc: 'forest'
}

var bigroad = {
	spec: 'room',
	head: 'Северная дорога',
	desc: 'Грязная, разбитая дорога тянется на юг, к замку. Если пойти в другую сторону, то рано или поздно вы придете к заставе.<br><br>На востоке густой ельник, где находится сокрытое от посторонних глаз гоблинское жилище.',
	walk: function(obj,dir) {
		if (dir == 'e' && character == 1) {
			move(player,'forest')
			return true
		}
		else if (dir == 'n' && character == 1) {
			p ('В вашем положении стоит избегать встреч с королевской гвардией. На северной заставе слишком много людей - вряд ли удасться проскочить через нее оставшись незамеченным.')
			return true
		}
		else if (dir == 's' && character == 1) {
			p ('В данный момент появление в замке равносильно смерти. Идти на верную гибель было бы глупо.')
			return true
		}
		else if (dir == 'n' && character == 3) {
			p ('В обличии простого фермера вас вряд ли кто-то заподозрит и остановит на заставе, но зачем туда идти не понятно.')
			return true
		}
		else if (dir == 'e' && character == 3) {
			p ('Вы не настолько глупы, что бы привести человека к своему тайному убежищу.')
			return true
		}
		else if (dir == 's' && character == 3) {
			move(player,'acreage')
			return true
		}
		else if (dir == 'n' && character == 5) {
			p ('В обличии простого горожанина вас вряд ли кто-то заподозрит и остановит на заставе, но зачем туда идти не понятно.')
			return true
		}
		else if (dir == 'e' && character == 5) {
			p ('Вы не настолько глупы, что бы привести человека к своему тайному убежищу.')
			return true
		}
		else if (dir == 's' && character == 5) {
			move(player,'acreage')
			return true
		}
		else if (dir == 'w' || dir == 'nw' || dir == 'sw'){
			p ('Там заболоченная низина и ходить туда не стоит, еще чего доброго в трясину попадешь.')
			return true
		}
		else if (dir == 'sw' || dir == 'ne'){
			p ('В том направлении нет ничего интересного.')
			return true
		}
		if (dir == 'u'){
			p ('Летать вы пока еще не научились, хотя мечтали об этом с детства.')
			return true
		}
		else if (dir == 'd'){
			p ('Выражение "Что б ты сквозь землю провалился!" не нужно воспринимать буквально.')
			return true
		}
	},
	wake: function(){
		if (character == 2){			
			move(letter,'player')
			move(bottle,'player')
			move(player,'firstRoom')
			character = 1
			player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
			return true
		}
		else if (character == 3 && cigarette.loc != 'player' && ribbon.loc != 'player'){	
			move(letter,'player')
			move(charredmatch,'player')
			move(player,'firstRoom')
			character = 1
			player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
			return true
		}
		else if (character == 5 && ribbon.loc != 'player' && cigarette.loc != 'player'){
			move(letter,'player')
			move(cigarette,'player')
			move(player,'firstRoom')
			character = 1
			player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
			return true
		}
		else if (character == 1){
			p ('Это не сон.')
			return true
		}
		else {
			p ('У этого человека находится важный для вас предмет. Если вы сейчас вернетесь в свое тело, кто знает что случится с этой вещью? Может он её потеряет, продаст, пропьет или просто напросто выбросит. Надо придумать как передать предмет безопасным способом.')
			return true
		}
	},
	sleep: function() {
		if (character == 3 || character == 5){
			p ('Сон внутри сна? И всё это наяву? Отлично, Энштейн! Думаю тут было бы не лишним вставить шутку про рекурсию и её необратимые последствия для этой истории.')
			return true
		}
	},
	think: function(){
		if (character == 3 || character == 5){
			p ('Возможно брошенное вами имущество сможет взять другой персонаж и ему это предмет нужнее чем вам.')
			return true
		}
	},
	listen: function(){
		p ('Тут в общем-то тихо, слышно только как в отдалении гудит толпа собравшихся в замке людей, как топочут кони и сипло кричит глашатай.')
		return true
	},
	smell: function(){
		p ('Пахнет дымом и навозом. Эти запахи приносит ветер, дующий со стороны замка.')
		return true
	},
	sing: function(){
		p ('Зачем петь самому? Доверьте это дело профессионалам. Зайдите на видеохостинг YouTube, наберите в поисковике "Nekrogoblikon - No One Survives" или "Mortiis - Mental Maelstrom" и наслаждайтесь. Это истинно гоблинская музыка.')
		return true
	}	
}

var road = {
	spec: 'thing',
	nam: ['дорога','дороги','дороге','дорогу','дорогой','дороге'],
	hidden: true,
	desc: 'Дороги серпантин за горизонтом исчезает в небесах.',
	loc: 'bigroad'
}

var bottle = {
	spec: 'thing',
	nam: ['бутылка','бутылки','бутылке','бутылку','бутылкой','бутылке'],
	desc: 'Пустая, темно-зелёная винная бутылка.',
	smell: function() {
		p ('Пахнет кислым, дешёвым вином.')
		return true
	},
	take: function(){
		if (character == 3 || character == 5){
			p ('Вы не настолько глупы, что бы осложнять себе жизнь, передавая нужные вам предметы оболочкам. Им они точно не нужны.')
			return true
		}
	},
	loc: 'bigroad',
	takeable: true
}

var charredmatch = {
	spec: 'thing',
	nam: ['спичка','спички','спичке','спичку','спичкой','спичке'],
	desc: 'Обгоревшая спичка.',
	loc: 'bigroad',
	take: function(){
		if (character == 3 || character == 5){
			p ('Вы не настолько глупы, что бы осложнять себе жизнь, передавая нужные вам предметы оболочкам. Им они точно не нужны.')
			return true
		}
	},
	smell: function(){
		p ('Пахнет деревом, дымом, серой, парафином.')
		return true	
	},
	takeable: true	
}

var candywrapper = {
	spec: 'thing',
	nam: ['фантик','фантика','фантику','фантик','фантиком','фантике','обертку','обёртку'],
	desc: 'Яркая обёртка от конфеты.',
	smell: function() {
		p ('Что за дивный аромат - шоколад, ваниль, орехи. Конфеты, ваши любимые, вот только похоже вам ещё долго не придется их есть.')
		return true
	},
	take: function(){
		if (character == 3 || character == 5){
			p ('Вы не настолько глупы, что бы осложнять себе жизнь, передавая нужные вам предметы оболочкам. Им они точно не нужны.')
			return true
		}
	},
	loc: 'bigroad',
	takeable: true 
}

var beechgrove = {
	spec: 'room',
	head: 'Буковая роща',
	desc: 'Это милое вашему сердцу место. Вот здесь, в далеком детстве, под кронами высоких буков, беспечно копошась в листве, вы с братом уже строили друг другу первые козни. То были невинные детские шалости, но вспоминать о них приятно и сегодня.<br><br>На западе густой ельник.',
	w: 'forest',
	walk: function(obj,dir){
		if (dir == 'e' || dir == 'se' || dir == 'ne'){
			p ('В той стороне река. Это направление, которым идут проигравшие ища спасения. Ретироваться вы всегда успеете.')
			return true
		}
		else if (dir == 'nw' || dir == 'sw' || dir == 'n' || dir == 's'){
			p ('Там ничего интересного нет.')
			return true
		}
		else if (dir == 'u'){
			p ('Если бы гоблины умели летать, то в небесах было бы неспокойно.')
			return true
		}
		else if (dir == 'd'){
			p ('Выражение "Что б ты сквозь землю провалился!" не нужно воспринимать буквально.')
			return true
		}
	},
	listen: function(){
		p ('Вечерний лес заполнен множеством звуков, знакомых вам с детства.')
		return true
	},
	smell: function(){
		p ('Пахнет... вечерним лесом.')
		return true
	},
	sing: function(){
		p ('Зачем петь самому? Доверьте это дело профессионалам. Зайдите на видеохостинг YouTube, наберите в поисковике "Nekrogoblikon - No One Survives" или "Mortiis - Mental Maelstrom" и наслаждайтесь. Это истинно гоблинская музыка.')
		return true
	}
} 

var morel = {
	spec: 'thing',
	nam: ['строчок','строчка','строчку','строчок','строчком','строчке','гриб'],
	desc: 'Строчки - любимые грибы гоблинов. Для людей они в сыром виде ядовиты, но не для вас, подземного народа.',
	edible: true,
	loc: 'beechgrove',
	take: function() {
		p ('Тут всего один жалкий, маленький грибочек, таким и не наешься... Пусть что ли подрастет.')
		return true
	},
	eat: function() {
		p ('Вы не выдерживаете, становитесь на четвереньки и вонзаете свои острые зубы в упругую мякоть гриба. О-о-о, да вы ещё и чавкаете! Кажется для кого-то уроки этикета прошли даром.')
	}
}

var bosk = {
	spec: 'thing',
	nam: ['роща','рощи','роще','рощу','рощей','роще'],
	desc: 'Местность, говоря языком человеческим, живописная и вы бы пожалуй даже увековечили её для потомков, но вот беда, никто не слыхал о сколько-нибудь знаменитом гоблине-художнике. Возможно это от того, что чувство прекрасного у людей и гоблинов отлично.',
	hidden: true,
	loc: 'beechgrove'
}

var beechs = {
	spec: 'thing',
	nam: ['буки','буков','букам','буки','буками','буках'],
	desc: 'Кто-то любит гулять среди буков и думать о своем, кто-то считает бук превосходной древесиной, а вы просто любите есть жареные буковые орешки. Сейчас увы не сезон.',
	hidden: true,
	loc: 'beechgrove'
}

var earth = {
	spec: 'thing',
	nam: ['земля','земли','земле','землю','землей','земле'],
	desc: 'Земля твёрдая и под ногами, это самое важное. Остальное второстепенно.',
	hidden: true,
	loc: ['forest','bigroad','beechgrove','acreage','border','eastwall']
}

var acreage = {
	spec: 'room',
	head: 'Городская площадь',
	desc: 'На городской площади сегодня столько народу, что яблоку негде упасть. Оно и не удивительно - ежегодный рыцарский турнир собирает публику со всей округи. Позади вас северные ворота, на западе собралась шумная компания - музыка, песни, танцы и смех, на юге столпились те, кому по душе наблюдать за поединком рыцарей - прыщавые юнцы и томные девицы.',
	walk: function(obj,dir) {
		if (dir == 'n' && character == 2){
			p ('Этот пьянчуга не может и не хочет идти так далеко. Веселье-то оно тут.')
			return true
		}
		else if (dir == 'w' && character == 2){
			p ('Ноги пьяницы противятся туда идти. Там по-видимому нет для него ничего интересного.')
			return true
		}
		else if (dir == 's' && character == 2){
            if (findribbon == 1 && genqdone == 0 && waterspill == 1){
				move(knightogust,'border')
				move(player,'border')
				return true
			}
			else{ 
				move(player,'border')
				return true
			}
		}
		else if (dir == 'n' && character == 3){
			move(player,'bigroad')
			return true
		}
		else if (dir == 'w' && character == 3){
			move(player,'eastwall')
			p ('<p>Стоило вам задержатся взглядом на курящем человеке, как оболочка подала сигнал, что хочет очередную порцию никотина. А это идея...</p>')
			return true
		}
		else if (dir == 's' && character == 3) {
			p ('О! Кажется у этого малого жгучая нелюбовь к давке, а там суровый средневековый слэм.')
			return true
		}
		else if (dir == 'n' && character == 5){
			move(player,'bigroad')
			return true
		}
		else if (dir == 'w' && character == 5){
			p ('Не стоит туда возвращаться - его девицы могут смекнуть, что с ним что-то не так и тогда всё пойдет насмарку.')
			return true
		}
		else if (dir == 's' && character == 5) {
			move(player,'border')
			return true
		}
		else if (dir == 'd'){
			p ('Выражение "Что б ты сквозь землю провалился!" не нужно воспринимать буквально.')
			return true
		}
		else if (dir == 'u'){
			p ('Простор небесной выси всё еще не для вас.')
			return true
		}
		else if (dir == 'nw' || dir == 'ne' || dir == 'sw' || dir == 'se' || dir == 'e'){
			p ('Народ в этом направлении стоит так плотно, что вам ни за что не протиснутся туда.')
			return true
		} 
	},
	wake: function(){
		if (character == 2 && cigarette.loc != 'player' && ribbon.loc != 'player'){			
			move(letter,'player')
			move(bottle,'player')
			move(player,'firstRoom')
			character = 1
			player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
			return true
		}
		else if (character == 3 && cigarette.loc != 'player' && ribbon.loc != 'player'){			
			move(letter,'player')
			move(charredmatch,'player')
			move(player,'firstRoom')
			character = 1
			player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
			return true
		}
		else if (character == 5 && ribbon.loc != 'player' && cigarette.loc != 'player'){
			move(letter,'player')
			move(cigarette,'player')
			move(player,'firstRoom')
			character = 1
			player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
			return true
		}
		else {
			p ('У этого человека находится важный для вас предмет. Если вы сейчас вернетесь в свое тело, кто знает что случится с этой вещью? Может он её потеряет, продаст, пропьет или просто напросто выбросит. Надо придумать как передать предмет безопасным способом.')
			return true
		}
	},
	sleep: function() {
		p ('Сон внутри сна? И все это наяву? Отлично, Энштейн! Думаю тут было бы не лишним вставить шутку про рекурсию и её необратимые последствия для этой истории.')
		return true
	},
	think: function(){
		if (character == 2){
			p ('Иногда нужно просто оказаться в нужное время в нужном месте.')
			return true
		}
		else if (character == 3){
			p ('Возможно поблизости есть кто-то, у кого есть необходимая вам вещь. Этой оболочке досталась роль посредника.')
			return true
		}
		else if (character == 5){
			p ('Как знать, возможно именно сегодня вам потребуются таланты этой оболочки, что бы заполучить нужное.')
			return true
		}
	},
	listen: function(){
		p ('С запада доносится музыка и пение, на юге надрывно кричат зрители, грозно ржут кони, ревут трубы, по временам слышен лязг оружия.')
		return true
	},
	smell: function(){
		p ('Да чем тут только не пахнет - и пирожками, и конским навозом, и потом, и кислой капустой, и духами.')
		return true
	},
	sing: function(){
		if (character == 2){
			p ('Открывать рот и извлекать из него звуки не лучшая идея - вам в детстве медведь на ухо наступил. Хотите "пивной музыки"? Пожалуйста! "ALESTORM - Drink", "SALTATIO MORTIS - Früher war alles besser" или "EQUILIBRIUM - Wirtshaus Gaudi". Это целое направление на самом деле.')
			return true
		}
		else{
			p ('Вы слишком нервничаете - не до песен вам сейчас, да и не любите вы их.')
			return true
		}
	}	
}

var tournament = {
	spec: 'thing',
	nam: ['турнир','турнира','турниру','турнир','турниром','турнире','поединок'],
	desc: 'Ой! Да на что тут смотреть? Мужики, кони, лязг оружия. Пыщь-пыщь-пыщь!',
	hidden: true,
	loc: ['acreage','border','grandstand','eastwall'] 
}

var boozer = {
	spec: 'thing',
	nam: ['пьяница','пьяницы','пьянице','пьяницу','пьяницей','пьянице'],
	desc: 'Известный на всю округу истребитель дорогих и не очень вин усердно празднует ежегодный рыцарский турнир. Без комментариев.',
	hidden: true,
	loc: 'acreage',
	activity: function() {
		var activityNumber = Math.round(Math.random() * 9)
		if (activityNumber < 5) {
			var activityText = [
				'<p>-- Что б ты сдох, проклятая свинья! -- орёт пьяница проходящему мимо стражнику.</p>',
				'<p>Пьяница делает большой глоток из бутылки и оглашает округу безумным хохотом.</p>',
				'<p>-- Проститутка! -- рявкнул пьяница завидев миловидную девицу направившуюся к ограждению, что бы посмотреть турнир.</p>',
				'<p>-- Брысь, мерзкая шавка! -- прорычал пьяница на пробегавшую мимо собаку.</p>',
				'<p>Пьяница говорит что-то нечленораздельное и мощно жестикулирует руками.</p>'
			]
			p(activityText[activityNumber])
		}
	},
	attack: function(){
		if (character == 2){
			p ('Врезать себе? А это идея!')
			return true
		}
		if (character == 3 || character == 5){
			p ('И что вам это даст?')
			return true
		}
	},
	listen: function(){
		p ('-- А-а-а! Пасть порву! Моргалы выколю! -- орёт пьяница и начинает ржать аки конь.')
		return true
	},
	buy: function(){
		p ('Даже если бы в Лопушином Королевстве люди вот так вот легко продавались и покупались, непонятно, зачем вам нужен этот пропойца. Перед вами все-таки человек, а не вещь.')
		return true
	}
}

var square = {
	spec: 'thing',
	nam: ['площадь','площади','площади','площадь','площадью','площади'],
	desc: 'Городская площадь самое важное место в городе - тут торгуют, веселятся, казнят преступников, оглашают царскую волю, вербуют в армию.',
	hidden: true,
	loc: 'acreage'
}

var people = {
	spec: 'thing',
	nam: ['люди','людей','людям','людей','людьми','людях','толпу'],
	desc: 'На площади собрались люди разных сословий.',
	hidden: true,
	loc: 'acreage'
}

var ark = {
	spec: 'thing',
	nam: ['ворота','ворот','воротам','ворота','воротами','воротах'],
	desc: 'Пройдя через северные ворота вы попадете на северную дорогу.',
	hidden: true,
	loc: 'acreage'
}

var dog = {
	spec: 'thing',
	nam: ['собака','собаки','собаке','собаку','собакой','собаке','пса','псу'],
	desc: 'Обыкновенный беспородный пес снующий туда-сюда в поисках поживы. Статист. Не обращайте на него внимания.',
	loc: 'acreage',
	attack: function(){
		p ('Если вы ударите собаку она может огорчится и покусать вас. В итоге вам обоим будет грустно.')
		return true
	},
	smell: function(){
		p ('Вы уже не варг. Зачем вам это? От собаки пахнет псиной, это даже маленькие дети знают.')
		return true
	},
	eat: function(){
		p ('Шерлок Холмс наверняка смог бы многое о вас рассказать, узнав, что вы пытались съесть собаку. А мне в голову приходят только расово оскорбительные стереотипы про кухню некоторых народов.')
		return true
	},
	kiss: function(){
		p ('Ну если вам хочется, автор не может запретить;)')
		return true
	},
	listen: function(){
		p ('Собака говорит: "Гав!"')
		return true
	},
	buy: function(){
		p ('Ну зачем вам этот беспородный пес?')
		return true
	},
	take: function(){
		p ('Пес не хочет на ручки. Отстаньте от него.')
		return true
	}
}

var gardian = {
	spec: 'thing',
	nam: ['стражник','стражника','стражнику','стражника','стражником','стражнике'],
	desc: 'Городской стражник - угрюмый, серьёзный и немного пьяный. Статист. Не обращайте на него внимания.',
	loc: 'acreage',
	attack: function(){
		p ('Если вы ударите стражника, то отправитесь в тюрьму. Вам это не нужно.')
		return true
	},
	smell: function(){
		p ('Кому-то срочно требуется хорошая доза воспитания. Нюхать стражника... Фи!')
		return true
	},
	eat: function(){
		p ('Я смотрю кратковременное пребывание в шкуре варга отразилось на вашей психике не лучшим образом - стражника слопать хотите. Мда.')
		return true
	},
	kiss: function(){
		p ('Нет, это не та игра где двое суровых мужчины встретились, полюбили друг друга и усыновили медведя. Девчонки, извините. Как-нибудь в другой раз.')
		return true
	},
	listen: function(){
		p ('Стражник ворчит: "Ну и где прячется этот маленький, зелёный ублюдок? Небось шастает где-то в тени. Эх, поймать бы его и получить награду, тогда можно было бы сделать Эмме предложение."')
		return true
	},
	buy: function(){
		p ('Подкупить стражу легко, но дорого. В обозримом будущем у вас не будет достаточно средств для этого мероприятия.')
		return true
	}
}

var maiden = {
	spec: 'thing',
	nam: ['девица','девицы','девице','девицу','девицей','девице'],
	desc: 'Деревенская штучка заявившаяся в город щегольнуть своим модным платьем и всем тем, что скрывается под этим платьем. Статист. Не обращайте на нее внимания.',
	loc: 'acreage',
	attack: function(){
		p ('Хотите ударить девушку? А ну как она сдачи даст? От деревенской девушки можно всякого ждать. Нет, она, конечно, внешне не похожа на типичную "некрасовскую женщину", но я бы поостерегся.')
		return true
	},
	smell: function(){
		p ('Это неприлично! Вы же не пес какой-нибудь. Тому по крайней мере простительно. В общем вам не следует привлекать к себе внимание подобными выходками.')
		return true
	},
	eat: function(){
		p ('Да, видимо пребывание в шкуре варга сломало вашу психику. Съесть красивую девушку, стать персонажем сказки, это они умеют.')
		return true
	},
	kiss: function(){
		if (character == 3){
			p ('Допускаю, что вам хочется поцеловать эту девушку, но может ей не хочется с вами целоваться. Никогда не думали об этом?')
			return true
		}
		if (character == 2){
			p ('Вы не слишком привлекательный и сильно пьяный мужчина под сорок. Целоваться с молоденькими не солидно в вашем возрасте.')
			return true
		}
		if (character == 5){
			p ('Красавцу Жану девушки отказывают редко, но кто знает, что последует за этим поцелуем? Может она к нему прилепится и вся операция окажется под угрозой. Хватит с нас тех двух мадмуазель у фонтана, которых он охмурил и которых нам приходится избегать.')
			return true
		}
	},
	listen: function(){
		p ('Девушка бубнит себе под нос: "Ну и где мой принц на белом коне? Ни одной белой лошади тут нет. Видать наврала мне гадалка."')
		return true
	},
	buy: function(){
		p ('А вы нахал, сударь. Не все в этом мире продается за деньги.')
		return true
	}
}

var eastwall = {
	spec: 'room',
	head: 'У западной стены',
	desc: 'На скамеечке, стоящей рядом с фонтаном, сидит щёголь в обнимку с двумя прехорошенькими девушками. В зубах его дымится сигарета, он весел и немного пьян. Как раз сейчас он показывает своим очаровательным спутницам какой-то мудреный карточный фокус.<br><br>На востоке, в центре площади, народ стоит не так густо, поэтому если уж ещё куда и можно протиснуться, то только туда.',
	e: 'acreage',
	wake: function(){
		if (character == 2 && cigarette.loc != 'player' && ribbon.loc != 'player'){		
			move(letter,'player')
			move(bottle,'player')
			move(player,'firstRoom')
			character = 1
			player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
			return true
		}
		else if (character == 3 && cigarette.loc != 'player' && ribbon.loc != 'player'){		
			move(letter,'player')
			move(charredmatch,'player')
			move(player,'firstRoom')
			character = 1
			player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
			return true
		}
		else if (character == 5 && ribbon.loc != 'player' && cigarette.loc != 'player'){			
			move(letter,'player')
			move(cigarette,'player')
			move(player,'firstRoom')
			character = 1
			player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
			return true
		}
		else {
			p ('У этого человека находится важный для вас предмет. Если вы сейчас вернетесь в свое тело, кто знает что случится с этой вещью? Может он её потеряет, продаст, пропьет или просто напросто выбросит. Надо придумать как передать предмет безопасным способом.')
			return true
		}
	},
	sleep: function() {
		p ('Сон внутри сна? И все это наяву? Отлично, Энштейн! Думаю тут было бы не лишним вставить шутку про рекурсию и её необратимые последствия для этой истории.')
		return true
	},
	think: function(){
		if (character == 3){
			p ('С некоторыми NPC можно поговорить. Результатом такого разговора может быть не только информация, но и кое что вещественное. Главное знать что вам нужно. Общение в протопарсере реализовано примитивно - ваша беседа с NPC может выглядеть примерно вот так: <br><b>сказать привет</b><br><b>Официант отвечает: Здравствуйте. Хотите что-нибудь заказать?</b><br><b>сказать борщ</b><br><b>Официант отвечает: Заказ принят. Ваш суп будет готов через пятнадцать минут.</b>')
			return true
		}
	},
	walk: function(obj,dir){
		if (dir == 's' || dir == 'n' || dir == 'sw' || dir == 'se' || dir == 'nw' || dir == 'ne'){
			p ('Там яблоку упасть негде...')
			return true
		}
		else if (dir == 'w'){
			p ('Вы глупо идете в стену, а она вас не пускает. Вы явно находитесь во вселенной отличной от вселенной "Гарри Поттера". Окружающие смеются.')
			return true
		}
		else if (dir == 'd'){
			p ('Выражение "Что б ты сквозь землю провалился!" не нужно воспринимать буквально.')
			return true
		}
		else if (dir == 'u'){
			p ('Простор небесной выси все еще не для вас.')
			return true
		}
	},
	listen: function(){
		p ('Песни, пляски, смех - тут очень весело и шумно.')
		return true
	},
	smell: function(){
		p ('Тут пахнет едой, вином, табачным дымом и духами.')
		return true
	},
	sing: function(){
		p ('Вы слишком нервничаете - не до песен вам сейчас, да и не любите вы их.')
		return true
	}
}

var thief = {
	spec: 'thing',
	nam: ['щеголь','щеголя','щеголю','щеголя','щеголем','щеголе','парня','мужчину','жана','щёголь','щёголя','щёголю','щёголя','щёголем','щёголе'],
	desc: 'Знакомая физиономия... Шулер, карманник, фокусник, актёр, прорицатель. Пока еще никому не удалось вывести этого субъекта на чистую воду. Уж больно ловкий и хитрый малый.',
	hidden: true,
	response: function(optional) {
		switch(optional) {
			case 'сигарета': if (cigarette.loc == 'player') { 
					var response = 'Иди отсюда... стрелок... Хватит с тебя одной.'
				}
				else if (cigarette.loc != 'player') {
					var response = 'П-ф-ф! На! Кури на здоровье.'
					move(cigarette,'player')
				} 	
			break
			case 'сигарету': if (cigarette.loc == 'player') { 
					var response = 'Иди отсюда... стрелок... Хватит с тебя одной.'
				}
				else if (cigarette.loc != 'player') {
					var response = 'П-ф-ф! На! Кури на здоровье.'
					move(cigarette,'player')
				} 	
			break
			default: var response = 'Чего тебя от меня надо?'
		}
		p('Щёголь отвечает: «' + response + '»')
	},
	loc: 'eastwall',
	smell: function(){
		p ('Ну чем может пахнуть от такого мальца? Правильно - табаком и одеколоном. Незачем его нюхать.')
		return true
	},
	attack: function(){
		p ('Вы ему даже вмазать не успеете - он ловок, силён и дьявольски коварен, когда дело доходит до драки. Сушите весла.')
		return true
	},
	kiss: function(){
		p ('Одно я могу сказать точно - если вы это сделаете, то вас побьют. Если вас побьют, то вы ещё долго не встанете, а возможно вообще никогда не встанете и отправитесь прямиком на ближайшее кладбище в деревянном ящике. Вам оно надо?')
		return true
	},
	listen: function(){
		p ('Щёголь деловито объясняет: "Вот дама червей, кладем её сюда... перемешиваем. Возьми любую карту..."')
		return true
	},
	buy: function(){
		p ('Этот парень не продается. Он сам продает одних и покупает других.')
		return true
	}
}

var bench = {
	spec: 'thing',
	nam: ['скамеечка','скамеечки','скамеечке','скамеечку','скамеечкой','скамеечке','скамейку','скамью'],
	desc: 'Мраморная скамеечка на которой горожане любят отдыхать сидя у фонтана в жаркие дни.',
	hidden: true,
	loc: 'eastwall'
}

var gals = {
	spec: 'thing',
	nam: ['девушки','девушек','девушкам','девушек','девушками','девушках'],
	desc: 'По левую руку от щеголя сидит полная, вульгарно накрашенная блондинка с рыбьим лицом, справа огненно-рыжая девица с крупными зубами и кобыльим ржанием вместо смеха. Это трио смотрится на удивление гармонично.',
	hidden: true,
	loc: 'eastwall',
	smell: function(){
		p ('Продолжаете отыгрывать варга? Нам вообще-то нежелательно привлекать к себе внимание...')
		return true
	},
	listen: function(){
		p ('-- Ж-а-а-а-н! Это не честно, Жан! -- пищит блондинка.<br>-- Дай нам отыграться, Жан! -- визжит рыжая.')
		return true
	},
	buy: function(){
		p ('Да, эти две особы похожи на девушек легкого поведения, но у вас так и так нет денег на подобные увеселения.')
		return true
	}
}

var trick = {
	spec: 'thing',
	nam: ['фокус','фокуса','фокусу','фокус','фокусом','фокусе'],
	desc: 'Это фокус из разряда, если ты не поймешь как я это сделал, то тебе придется позволить мне поцеловать тебя в щечку.',
	hidden: true,
	loc: 'eastwall'
}

var fontain = {
	spec: 'thing',
	nam: ['фонтан','фонтана','фонтану','фонтан','фонтаном','фонтане'],
	desc: 'Обыкновенный фонтан - писающий мальчик с кувшином.',
	hidden: true,
	loc: 'eastwall'
}

var border = {
	spec: 'room',
	head: 'У ограждения',
	desc: 'Зрители рыцарского турнира буквально ходят друг другу по головам.<br><br>На севере, в центре площади, народ стоит не так густо, поэтому уж если ещё куда и можно протиснуться, то только туда.',
	n: 'acreage',
	wake: function(){
		if (character == 2 && ribbon.loc != 'player' && cigarette.loc != 'player'){	
			move(letter,'player')
			move(bottle,'player')
			move(player,'firstRoom')
			character = 1
			player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
			return true
		}
		else if (character == 3 && cigarette.loc != 'player' && ribbon.loc != 'player'){
			move(letter,'player')
			move(charredmatch,'player')
			move(player,'firstRoom')
			character = 1
			player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
			return true
		}
		else if (character == 5 && ribbon.loc != 'player' && cigarette.loc != 'player'){			
			move(letter,'player')
			move(cigarette,'player')
			move(player,'firstRoom')
			character = 1
			player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
			return true
		}
		else {
			p ('У этого человека находится важный для вас предмет. Если вы сейчас вернетесь в свое тело, кто знает что случится с этой вещью? Может он её потеряет, продаст, пропьет или просто напросто выбросит. Надо придумать как передать предмет безопасным способом.')
			return true
		}
	},
	sleep: function() {
		p ('Сон внутри сна? И все это наяву? Отлично, Энштейн! Думаю тут было бы не лишним вставить шутку про рекурсию и её необратимые последствия для этой истории.')
		return true
	},
	think: function(){
		if (character == 2){
			p ('Иногда нужно просто оказаться в нужное время в нужном месте.')
			return true
		}
		else if (character == 5){
			p ('Как знать, возможно именно сегодня вам потребуются таланты этой оболочки, что бы заполучить нужное.')
			return true
		}
	},
	walk: function(obj,dir){
		if (dir == 's'){
			p ('Полезете за ограждение и вас либо стражники побьют, либо рыцарские кони затопчут.')
			return true
		}
		else if (dir == 'sw' || dir == 'se' || dir == 'nw' || dir == 'ne' || dir == 'e' || dir == 'w'){
			p ('Там яблоку упасть негде...')
			return true
		}
		else if (dir == 'd'){
			p ('Выражение "Что б ты сквозь землю провалился!" не нужно воспринимать буквально.')
			return true
		}
		else if (dir == 'u'){
			p ('Простор небесной выси все ещё не для вас.')
			return true
		}
	},
	listen: function(){
		p ('Крики, ржание, лязганье оружия, удары копий о щит противника, всё это превращается в дикий гул от которого закладывает уши.')
		return true
	},
	smell: function(){
		p ('Разгоряченные люди, разгоряченные кони, дымящийся навоз под ногами, перегар - сочетание скажем так на любителя, хотя кому-то нравится.')
		return true
	},
	sing: function(){
		p ('Вы слишком нервничаете - не до песен вам сейчас, да и не любите вы их.')
		return true
	}
}

var fence = {
	spec: 'thing',
	nam: ['ограждение','ограждения','ограждению','ограждение','ограждением','ограждении','забор','барьер','заграждение'],
	desc: 'Обыкновенный деревянный забор.',
	hidden: true,
	loc: 'border',
	jumpOver: function(){
		p ('Полезете за ограждение и вас либо стражники побьют, либо рыцарские кони затопчут.')
		return true
	}
}

var grandstand = {
	spec: 'room',
	head: 'Трибуна для почетных гостей',
	desc: 'Тут собрались самые знатные и богатые люди города - король, который только и делает, что пьёт и веселится, леди Анна, ослепляющая присутствующих своей неземной красотой (по крайней мере так говорят), сэр Огюст и прочие организаторы и участники рыцарского турнира.',
	wake: function(){
		move(letter,'player')
		move(candywrapper,'player')
		move(player,'firstRoom')
		character = 1
		player.desc = 'Вы маленький, мерзкий, зелёный гоблин. Хотя почему мерзкий? Для гоблина вы очень даже ничего.'
		return true
	},	
	sleep: function() {
		p ('Сон внутри сна? И все это наяву? Отлично, Энштейн! Думаю тут было бы не лишним вставить шутку про рекурсию и её необратимые последствия для этой истории.')
		return true
	},
	walk: function(obj,dir){
		if (dir == 'n' || dir == 's' || dir == 'e' || dir == 'w' || dir == 'd' || dir == 'u' || dir == 'nw' || dir == 'ne' || dir == 'sw' || dir == 'se'){
			p ('-- Куда же ты, моя козочка? Лучшее место здесь! -- проворковал король, притянул к себе своей здоровой ручищей и поцеловал вас в щечку. Из этих стальных оков вам не сбежать...')
			return true
		}
	},
	think: function(){
		p ('Очаровательная Франшетта участвует в этой истории в амплуа простушки. Несмотря на то, что ей досталось маленькое камео, именно этой барышне суждено сдвинуть сюжет с мертвой точки. И сделать все это она сможет не сходя с места. Ей нужно обратить взгляд своих прекрасных глаз на нечто важное и напроказничать с умыслом. Вот и всё.')
		return true
	},
	jump: function(){
		p ('Это вам не поможет, да и вообще ваши ноги в данный момент недостают до пола, вы ведь сидите на коленях у короля.')
		return true
	},
	listen: function(){
		p ('Тут горячо спорят, обсуждают турнир, хохочут, одним словом аристократия веселится.')
		return true
	},
	smell: function(){
		p ('Собравшиеся на этой трибуне благоухают, как цветочная клумба. От невообразимого сочетания ароматов у вас даже начала немного кружится голова.')
		return true
	},
	sing: function(){
		p ('Считается, что у Франшетты очень красивый голос, способный очаровать любого, но вас абсолютно не интересует современная музыка и вы не знаете ни одной модной песни. Что бы что-то спеть нужно знать слова. Фиаско. Идея была не так и плоха, но придется о ней забыть.')
		return true
	}
}

var ladyanna = {
	spec: 'thing',
	nam: ['Анна','Анны','Анне','Анну','Анной','Анне','леди'],
	desc: 'Леди Анна считается одной из самых красивых женщин королевства, но с точки зрения гоблинов все люди одинаково уродливы не зависимо от расы, возраста и пола.',
	loc: 'grandstand',
	smell: function(){
		p ('Она сидит далеко от вас, но даже отсюда вы чувствуете запах пиона.')
		return true
	},
	listen: function(){
		p ('Она говорит так тихо, что вы не разбираете слов.')
		return true
	},
	buy: function(){
		p ('Благосклонность этой дамы продаётся, вне всякого сомнения, но за такие огромные деньги, которые вам и вообразить-то страшно.')
		return true
	}
}

var knightogust = {
	spec: 'thing',
	nam: ['Огюст','Огюста','Огюсту','Огюста','Огюстом','Огюсте','рыцаря'],
	desc: 'А это светлый рыцарь, сэр Огюст, любимец Леди Анны. Сегодня он хорошо сражался и получил от своей дамы сердца в качестве награды пурпурную ленточку для волос, которую с гордостью носит на груди и никому не отдаст за все богатства мира.',
	loc: 'grandstand',
	attack: function(){
		if (character == 2 && player.loc == 'border' && knightogust.loc == 'border' && genqdone == 0){
			p ('Вы тут, а он там. Если уж вы решили во что бы то не стало дать в морду этому рыцарю, то надо бы сделать что-то такое, что бы он оказался здесь.')
			return true
		}
		if (character == 2 && player.loc == 'border' && knightogust.loc == 'border' && genqdone == 1){
			p ('Народная мудрость гласит: "С сильным не дерись, с богатым не судись." У вас нет ни единого шанса набить морду пресветлому рыцарю Огюсту.')
			return true
		}
		if (character == 4 && waterspill == 0){
			p ('Во-первых сэр Огюст сидит слишком далеко от вас, во-вторых его даме может сильно не понравится, что вы проявляете к нему интерес. Пинок от девушки тоже знаете ли можно расценить как приглашение к флирту.')
			return true
		}
		if (character == 4 && waterspill == 1){
			p ('Не хотели бы вы оказаться на месте того, кто окончательно выведет рыцаря Огюста из себя.')
			return true
		}
		if (character == 5 && player.loc == 'border' && knightogust.loc == 'border' && genqdone == 0){
			p ('Вы тут, а он там. Находясь в оболочке Жана вам вряд ли удасться пробраться на трибуны, следовательно нужно как-то выманить сэра Огюста сюда. Пожалуй эта работенка для кого-нибудь другого. Ловкача Жана стоит приберечь для ювелирных операций.')
			return true
		}
		if (character == 5 && player.loc == 'border' && knightogust.loc == 'border' && genqdone == 1){
			p ('Народная мудрость гласит: "С сильным не дерись, с богатым не судись." У вас нет ни единого шанса набить морду пресветлому рыцарю Огюсту, несмотря на то, что вы неплохой боец.')
			return true
		}
	},
	smell: function(){
		p ('От сэра Огюста разит вином, сбруей и лошадиным потом. Ну а чем еще должны пахнуть рыцари?')
		return true
	},
	listen: function(){
		if (character == 4){
			p ('Ой, какие глупости он ей говорит! Не хочу это слушать.')
			return true
		}
		if (character == 2 && genqdone == 1){
			p ('-- Иди сюда, сивый мерин! Я тебе сейчас мозги по мостовой размажу! -- орёт рыцарь Огюст.')
			return true
		}
		if (character == 2 && genqdone == 0){
			p ('Сэр Огюст далеко и даже если он что-то говорит, вы не слышите что именно.')
			return true
		}
		if (character == 5 && genqdone == 1){
			p ('-- Иди сюда, сивый мерин! Я тебе сейчас мозги по мостовой размажу! -- орёт рыцарь Огюст.')
			return true
		}
		if (character == 5 && genqdone == 0){
			p ('Сэр Огюст далеко и даже если он что-то говорит, вы не слышите что именно.')
			return true
		}
	},
	buy: function(){
		p ('Рыцари его величества верны его величеству. По слухам их подкупить невозможно.')
		return true
	}
}

let waterspill = 0
//Проверка пролил ли игрок воду

var king = {
	spec: 'thing',
	nam: ['король','короля','королю','короля','королем','короле','франса'],
	desc: 'Его величество Король Лопушиного королевства, но все зовут его просто - толстый Франс. Забавный дядька. Кровожадный только когда голодный.',
	loc: 'grandstand',
	attack: function(){
		p ('Вы колотите короля своими маленькими ручками, но он толстый и ему совсем не больно. Он добродушно смеется.')
		return true
	},
	kiss: function(){
		p ('-- О! Я смотрю очаровательная Франшетта расшалилась, -- проворковал король и так крепко вас поцеловал в ответ, что вы чуть не задохнулись. Да, теперь он вас точно никуда не отпустит.')
		return true
	},
	smell: function(){
		p ('От короля пахнет табаком, сандаловым деревом и жареным мясом. В общем уютный толстяк.')
		return true
	},
	listen: function(){
		p ('Толстый Франс весь сотрясается от беззвучного смеха.')
		return true
	},
	buy: function(){
		p ('Если бы Толстый Франс услышал, что обыкновенная девчушка хочет его купить, он бы хохотал до слез. Взбредет же такое кому-то в голову!')
		return true
	}
}

var bucket = {
	spec: 'thing',
	nam: ['ведро','ведра','ведру','ведро','ведром','ведре'],
	desc: 'Серебряное ведро в котором находится обыкновенная родниковая вода, что бы гости могли разбавлять вино.',
	loc: '',
	take: function(){
		if (waterspill == 0){
			p ('Оно стоит на скамейке далеко от вас, как раз рядом с Леди Анной и рыцарем Огюстом. Вам ни за что до него не дотянуться, разве что ногой.')
			return true
		}
		else if (waterspill == 1){
			p ('Вам незачем поднимать ведро - придут слуги и все уберут.')
			return true
		} 
	},
	attack: function(obj){
		if (player.loc == 'grandstand' && waterspill == 0 && obj == bucket){
			p ('Вы изловчились и носком туфли опрокинули ведро. Леди Анна вскрикнула, рыцарь Огюст испуганно вскочил. Посовещавшись они сели на скамейку повыше, что в некотором роде вознесло их над толпой.<p>Король ловким движением перевернул вас на живот и дюжину раз шлепнул по мягкому месту, что спровоцировало взрыв хохота на трибуне. Только рыцарь Огюст сидит мрачнее тучи - девушки в насмешку нарекли его "сэр мокрый рыцарь".</p>')
			border.desc = 'Тут собралось так много народу, что вам практически не видно участников турнира, зато отлично видно рыцаря Огюста, сидящего на верхней скамейке трибуны для почетных гостей. Оно и не удивительно - он ростом под два метра.<br><br>На севере, в центре площади, народ стоит не так густо, поэтому уж если еще куда и можно протиснуться, то только туда.'
			knightogust.desc = 'Этого парня легко вывести из равновесия - отвесьте ему один пинок и он надуется, добавьте другой и этот доблестный муж пересчитает вам все кости.'
			bucket.desc = 'Серебряное ведерко лежит на боку. Вся вода из него вытекла.'
			water.desc = 'Вода вся вытекла и впиталась в землю.'
			waterspill = 1
			return true
		}
		else {
			p ('#ненужно')
			return true	
		}		
	}
}

var water = {
	spec: 'thing',
	nam: ['вода','воды','воде','воду','водой','воде'],
	hidden: true,
	desc: 'Чистая ключевая вода.',
	loc: ''
}

var cigarette = {
	spec: 'thing',
	nam: ['сигарета','сигареты','сигарете','сигарету','сигаретой','сигарете','самокрутку','папиросу'],
	takeable: true,
	desc: 'Обыкновенная самокрутка - смола, никотин, сажа. В общем все что вы любите.',
	loc: '',
	smell: function(){
		p ('Она пахнет дешевым табаком.')
		return true
	},
	eat: function(){
		p ('Это может плохо кончится, особенно для маленьких детей.')
		return true
	}		
}

var ribbon = {
	spec: 'thing',
	nam: ['ленточка','ленточки','ленточке','ленточку','ленточкой','ленточке','ленту','награду','лоскут'],
	takeable: true,
	desc: 'Пурпурная ленточка, которую леди Анна носила в волосах. В качестве особой милости подарена рыцарю Огюсту.',
	take: function() {
		if (character == 3 && player.loc == 'border'){
			p ('Взять? Ха! Легко сказать. Если вы попробуете взять что-то принадлежащее сэру Огюсту он вырубит вас одним ударом. Тут нужно действовать быстро и незаметно.')
			return true
		}
		else if (character == 5 && player.loc == 'border'){
			p ('Кажется эта операция по присвоению чужой собственности называется немного иначе...')
			return true
		}
		else if (character == 2 && player.loc == 'border'){
			p ('Когда вам бьют морду взять что-то крайне затруднительно, особенно если вы вдрызг пьяны.')
			return true
		}
		else if (character == 4){
			p ('Вы здесь, а сэр Огюст там. Да и вообще вряд ли у вас получится вот так вот подойти и просто забрать ленточку леди Анны с груди влюбленного в неё рыцаря. Надо трезво смотреть на вещи.')
			return true
		}
	},
	loc: 'grandstand',
	smell: function(){
		p ('Конечно же ленточка пахнет духами Леди Анны. Небось специально надушила.')
		return true
	},
	drop: function(){
		if (player.loc == 'border' && ribbon.loc == 'player'){
			p ('Бросить её? Вот здесь вот бросить? А вдруг Огюст увидит? Она ведь яркая. Второй раз нам шанса стянуть её не предоставится, так что не стоит предпринимать необдуманных решений.')
			return true
		}
	} 
}

var epicfight = {
	spec: 'thing',
	nam: ['драка','драки','драке','драку','дракой','драке'],
	desc: 'Драка века. Мда...',
	sceneDesc: '<p>Сэр Огюст бьет вам морду, а вы пытаетесь хотя бы устоять на ногах. Это сложно.</p>',
	loc: ''		
}

var epicfightmod = {
	spec: 'thing',
	nam: ['заварушка','заварушки','заварушке','заварушку','заварушкой','заварушке'],
	desc: 'Драка века. Мда...',
	sceneDesc: '<p>Сэр Огюст бьет морду пьянице, тот ещё как-то умудряется дать отпор несмотря на свое состояние, но попадает в цель редко. Пара зевак подбадривает дерущихся.</p>',
	loc: ''		
}

var garbageroom = {
	spec: 'room',
	head: 'Тут хранится мусор',
	desc: 'Бла-бла-бла'
}

var hall = {
	spec: 'room',
	head: 'Спальня леди Анны',
	desc: 'Видимо самое милое и романтичное местечко в замке - огромная постель с балдахином, кружевные подушечки, античные статуи в нишах, а в воздухе носится аромат дорогих духов.',
	sleep: function() {
		p ('Сон внутри сна? И все это наяву? Отлично, Энштейн! Думаю тут было бы не лишним вставить шутку про рекурсию и её необратимые последствия для этой истории.')
		return true
	},
	wake: function(){
		p ('Покинуть это тело сейчас? Покинуть, когда победа практически у вас в руках? Ни за что!')
		return true	
	},
	walk: function(obj,dir){
		if (dir == 'u'){
			p ('Нет, на небесах Леди Анне не место.')
			return true
		}
		else if (dir == 'd'){
			p ('Вот там давно приготовлено теплое местечко для Леди Анны, но всему свое время. Не стоит опережать события.')
			return true
		}
		else if (dir == 'n' || dir == 'nw' || dir == 'ne' || dir == 'w' || dir == 'e' || dir == 's' || dir == 'se' || dir == 'sw'){
			p ('Нет необходимости куда-то идти - вам просто нужно уничтожить компрометирующие вас бумаги и всё.')
			return true
		}
	},
	listen: function(){
		p ('Слышно как дрова потрескивают в камине и как тикают где-то в соседней комнате напольные часы.')
		return true
	},
	smell: function(){
		p ('В спальне повис непередаваемый аромат роковой женщины и... дыма. Отличное сочетание.')
		return true
	},
	sing: function(){
		p ('Да, это тот редкий случай, когда вам хочется петь - победа так близка. Но что же вам спеть? Вы ведь не знаете песен, только классику в которой, как правило, нет слов. Промурлыкать "Полёт Валькирий" омерзительно сладким голосом Леди Анны? Лучше не надо.')
		return true
	}
}

var kip = {
	spec: 'thing',
	nam: ['постель','постели','постели','постель','постелью','постели'],
	hidden: true,
	desc: 'Мягко. Не кровать, а воздушное облачко. Должно быть спать тут приятно, но для спины лучше жесткий настил.',
	loc: 'hall'
}

var dress = {
	spec: 'thing',
	nam: ['платье','платья','платью','платье','платьем','платье','одежду'],
	desc: 'Платье леди Анны. Как не трудно догадаться оно тоже пурпурное.',
	worn: false,
	takeable: true,
	loc: '',
	smell: function(){
		p ('Зачем её нюхать? А! Понимаю. В вас все еще говорит варг.')
		return true
	},
	disrobe: function(){
		if (hugo.loc != 'hall'){
			p ('Снять платье? Не вопрос. Но зачем?')
			return true
		}
		if (hugo.loc == 'hall' && vaudeville == 0){
			p ('В более ранней версии финальная задача решалась именно так, но она была признана "слишком очевидной", "по-гоблински эпатажной" и "отчасти нелогичной", поэтому автор её спрятал под скатерть. Если вы хотите разблокировать еще один способ получить концовку, просто наберите команду <b>цензура</b>. Никто не станет угнетать вашу психику детальными описаниями наготы, какими-то неуместными для официального портала взаимодействиями интимного толка и прочей ерундой. Тем не менее возможно даже в текстовой игре психологические барьеры мешают вам, злоупотребляя своим исключительным положением, обнажать мало знакомых женщин, ради получения сиюминутной личной выгоды. Решайте сами. Главное, что выбор у вас есть.')
			return true
		}
	},
	drop: function(){
		if (vaudeville == 0){
			p ('Что бы бросить платье, его надо сначала снять, а вы этого делать не хотите.')
			return true
		}
	}	
}

let findbook = 0
//Проверка забрал ли игрок книгу из под подушки

var pillow = {
	spec: 'thing',
	nam: ['подушечки','подушечек','подушечкам','подушечки','подушечками','подушечках','подушки','подушку'],
	hidden: true,
	desc: 'Маленькие, белые подушки отороченные кружевами, это так по-девчачьи...',
	loc: 'hall',
	take: function(){
		if (findbook == 0 && hugo.loc != 'hall'){
			p ('Под подушкой лежит книга. Ну-ка, что тут у нас? По всей видимости ничего интересного. Вы небрежно бросаете находку на пол. Это мусор никак не способный решить вашу проблему.')
			move(book,'hall')
			findbook = 1
			return true
		}
		else{
			p ('Да ну их, эти подушки.')
			return true
		}
	}
}

var book = {
	spec: 'thing',
	nam: ['книга','книги','книге','книгу','книгой','книге'],
	desc: 'В.М.Брадис "Четырехзначные математические таблицы для средней школы". Как это сюда попало?',
	loc: '',
	takeable: true,
	text: 'Так... Понятно. Под этой в высшей степени невинной обложкой скрывается очередной модный, непристойный, социальный роман, который со временем будет реабилитирован, станет классикой литературы и его придется читать школьникам.',
	open: function(){
		p ('Так... Понятно. Под этой в высшей степени невинной обложкой скрывается очередной модный, непристойный, социальный роман, который со временем будет реабилитирован, станет классикой литературы и его придется читать школьникам.')
		return true
	},
	burn: function(){
		p ('Да пожалуйста...')
		remove(this);
		return true
	}
}

var canopy = {
	spec: 'thing',
	nam: ['балдахин','балдахина','балдахину','балдахин','балдахином','балдахине','тюль'],
	hidden: true,
	desc: 'Полупрозрачный тюль колышется на ветру. Просто элемент декора.',
	loc: 'hall'
}

var statue = {
	spec: 'thing',
	nam: ['статуи','статуй','статуям','статуи','статуями','статуях','статую'],
	hidden: true,
	desc: 'Мраморные статуи расположились в нишах вдоль стен - полуобнаженные женщины, полуобнаженные мужчины. Стилизовано под работы античных мастеров.',
	loc: 'hall'
}

var alcove = {
	spec: 'thing',
	nam: ['ниши','ниш','нишам','ниши','нишами','нишах','нишу'],
	hidden: true,
	desc: 'Сама по себе ниша внимания не заслуживает, она функциональна и бессодержательна.',
	loc: 'hall'
}

let hugohere = 0
//Проверка находиться ли Хьюго в спальне

var evidence = {
	spec: 'thing',
	nam: ['компромат','компромата','компромату','компромат','компроматом','компромате','бумаги','документы'],
	desc: 'Те самые бумаги способные вас погубить.',
	burn: function(){
		if (dress.worn == true && hugohere == 0){
			p ('Стоило вам протянуть руку с бумагами к огню, как совсем некстати появился ваш брат Хьюго. Он деликатно отстранил руку Леди Анны от огня и осведомился: "Кто вас надоумил уничтожить эти бумаги, моя госпожа? Это было бы очень опрометчиво. Фридрих мне брат, но даже я понимаю, что оставить его при дворе было бы недальновидным решением. Зелёные гоблины хитрый и коварный народец. Войны, распри, все это их рук дело. Мне ли не знать."')
			move(hugo,'hall')
			hugohere = 1
			return true
		}
		else if (dress.worn == false && hugohere == 0){
			p ('Стоило вам протянуть руку с бумагами к огню, как совсем некстати появился ваш брат Хьюго. Увидев Леди Анну абсолютно обнаженной, он на секунду замер, но быстро сориентировался, взял себя в руки и загородил своим широким, кряжистым телом камин, так и не дав вам завершить начатое. Ваши глаза встретились. Он медленно заговорил: "Вы совершаете большую ошибку, Леди Анна. Я могу лишь догадываться о мотивах побудивших вас уничтожить бумаги и... Обдумайте все хорошенько. Взвесьте все за и против. Лишать себя такого козыря..."')
			move(hugo,'hall')
			hugohere = 1
			return true
		}
		else if (dress.worn == true && hugohere == 1){
			p ('Тщетно. Хьюго не позволит вам сжечь бумаги.')
			return true
		}
		else if (dress.worn == false && hugohere == 1){
			p ('Вы голая? Ну и что? Вы же не гоблинесса. Гоблинов не очень-то интересуют женщины. Видеть Леди Анну в таком виде ему, конечно, немного жутко, но Хьюго все-равно не даст вам уничтожить бумаги.')
			return true
		}
	},
	takeable: true,
	loc: '',
	smell: function(){
		p ('Пахнет старой бумагой и сургучом.')
		return true
	},
	eat: function(){
		p ('Тоже вариант, но это долго - бумаг-то много, на бандероль наберется. Вдруг вам успеют помешать. Все-таки не каждый день леди ужинают документами. Их ротик не тоже самое, что профессиональный уничтожитель документов.')
		return true
	},
	text: 'У вас нет на это времени.'	
}

var fireplace = {
	spec: 'thing',
	nam: ['камин','камина','камину','камин','камином','камине'],
	desc: 'Тихо потрескивают дрова в камине.',
	loc: 'hall'
}

var hugo = {
	spec: 'thing',
	nam: ['Хьюго','Хьюго','Хьюго','Хьюго','Хьюго','Хьюго','гоблина'],
	desc: 'Чёрный гоблин, придворный инженер и ваш родной брат. Даже вам иногда кажется, что в его жёлтых глазах есть что-то хищное, не доброе.',
	attack: function(){
		p ('Вы как никак леди, это не ваш метод. А если абстрагироваться от ролевых игр, то кому как ни вам знать, что гоблины свирепеют, когда их бьют по лицу. Последствия могут быть непредсказуемы.')
		return true
	},
	kiss: function(){
		if (vaudeville == 1){
			if (dress.worn == false) {
				p ('Увидев что Леди Анна мало того что голая, так еще и собирается его поцеловать, Хьюго в ужасе стал пятиться, а вы швырнули бумаги в камин и дьявольски захохотали. Теперь пора проснуться, не так ли? Дорого бы вы дали, что бы посмотреть, что сделает леди Анна, обнаружив себя в таком пикантном положении наедине с вашим братом. Она заподозрит его в самых гнусных вещах. Ха-ха-ха! Так ему и надо.')
				nakedlady = 1
				end(1)
				return true
			}
			else {
				p ('Пожалуй если бы вам удалось поцеловать Хьюго, то это бы его шокировало и он бы отступил позволив вам сжечь бумаги, но пока что вам не удается этого сделать - ваш ненаглядный братец крутится вокруг, как юла и зорко смотрит за тем, что бы Леди Анна не смогла уничтожить компромат. Что же делать?')
				return true
			}
		}
		if (vaudeville == 0){
			p ('Вы зелёный гоблин, а не голубой. Целовать своего брата даже когда вы находитесь в обличие Леди Анны вам не хочется.')
			return true
		}
	},
	loc: '',
	buy: function(){
		p ('Подкупить Хьюго можно - гоблины жадный народец, но это не тот случай, когда он согласится обменять компромат на деньги.')
		return true
	}
}

function steal(obj) {
		if (player.loc == 'border' && character == 5 && ribbon.loc == 'border' && obj == ribbon){
			p ('О! Да у этого приятеля воровское искусство доведено до автоматизма. Ленточка у вас в кармане, а сэр Огюст даже не заметил.')
			move(ribbon,'player')
			return true
		}
		if (player.loc == 'border' && character == 2 && ribbon.loc == 'border' && obj == ribbon){
			p ('Ничего у вас не выйдет. Этот человек во-первых пьян, во-вторых недостаточно ловок для подобной операции.')
			return true
		}
		if (player.loc == 'border' && character == 3 && ribbon.loc == 'border' && obj == ribbon){
			p ('Этот парень силен, но недостаточно ловок, что бы что-то у кого-то незаметно украсть.')
			return true
		}
		else {
			p ('#ненужно')
			return true	
		}
}

function exitroom(){
	if (player.loc == 'firstRoom' && dark == 0){
		p ('Пока что подниматься наверх опасно - солнце сожжёт вашу кожу. Придется ждать сумерек.');
		return true
	}
	if (player.loc == 'firstRoom' && dark == 1){
		move(player,'forest')
		return true
	}
	else {
		p ('#ненужно')
		return true	
	}		
}

function enterroom(){
	if (player.loc == 'forest'){
		move(player,'firstRoom')
		return true
	}
	else {
		p ('#ненужно')
		return true	
	}
}

function pushit(obj){
	if (player.loc == 'grandstand' && waterspill == 0 && obj == bucket){
		p ('Вы изловчились и носком туфли опрокинули ведро. Леди Анна вскрикнула, рыцарь Огюст испуганно вскочил. Посовещавшись они сели на скамейку повыше, что в некотором роде вознесло их над толпой.<p>Король ловким движением перевернул вас на живот и дюжину раз шлепнул по мягкому месту, что спровоцировало взрыв хохота на трибуне. Только рыцарь Огюст сидит мрачнее тучи - девушки в насмешку нарекли его "сэр мокрый рыцарь".</p>')
		border.desc = 'Тут собралось так много народу, что вам практически не видно участников турнира, зато отлично видно рыцаря Огюста, сидящего на верхней скамейке трибуны для почетных гостей. Оно и не удивительно - он ростом под два метра.<br><br>На севере, в центре площади, народ стоит не так густо, поэтому уж если ещё куда и можно протиснуться, то только туда.'
		knightogust.desc = 'Этого парня легко вывести из равновесия - отвесьте ему один пинок и он надуется, добавьте другой и этот доблестный муж пересчитает вам все кости.'
		bucket.desc = 'Серебряное ведерко лежит на боку. Вся вода из него вытекла.'
		water.desc = 'Вода вся вытекла и впиталась в землю.'
		waterspill = 1
		return true
	}
	if (obj == boozer || obj == gardian || obj == dog || obj == thief || obj == knightogust || obj == king || obj == gals || obj == maiden || obj == ladyanna){
		p ('Эй, полегче! Вы нарываетесь на неприятности. Другие тоже умеют толкаться. Вот полетите в грязь, густо усеянную конскими яблоками, тогда пропадет всякая охота заниматься подобными вещами.')
		return true
	}
	if (obj == hugo){
		p ('Ну толкнете вы Хьюго, а толку?')
		return true
	}
	else {
		p ('#ненужно')
		return true	
	}
}

function scold(obj){
	if (player.loc == 'eastwall' && character == 2 && obj == thief){
		p ('-- Гори в аду, шаромыжник! -- заорали вы.<br>-- Катись к черту, алкоголик! -- ответил щёголь. Он даже не поднял на вас глаза.')
		return true
	}
	if (player.loc == 'acreage' && character == 2 && obj == dog){
		p ('-- Брысь, мерзкая шавка! -- прорычали вы на пробегавшую мимо собаку.<br>Собака рассеянно смотрит на вас и отворачивается.')
		return true
	}
	if (player.loc == 'acreage' && character == 2 && obj == gardian){
		p ('-- Что б ты сдох, проклятая свинья! -- орете вы проходящему мимо стражнику.<br>Стражник даже не удостоил вас взглядом.')
		return true
	}
	if (player.loc == 'acreage' && character == 2 && obj == maiden){
		p ('-- Проститутка! -- рявкнули вы, завидев миловидную девицу, направившуюся к ограждению, что бы посмотреть турнир.<br>Девица презрительно скосила на вас глаза и пошла дальше.')
		return true
	}
	if (player.loc == 'border' && character == 2 && obj == knightogust && genqdone == 0){
			p ('<p>Увидев сэра Огюста пьяница почему-то не стерпел и обрушил на него поток отборной брани. Рыцарь покраснел от гнева, перепрыгнул через заграждение и так врезал словоохотливому алкоголику, что тот отлетел на несколько метров. Не пора ли вернутся в родную оболочку?</p>')
			grandstand.desc = 'Тут собрались самые знатные и богатые люди города - король, который только и делает, что пьет и веселится, леди Анна, ослепляющая присутствующих своей неземной красотой и прочие организаторы и участники рыцарского турнира.'
			border.desc = 'Тут собралось так много народу, что вам практически не видно участников турнира.<br><br>На севере, в центре площади, народ стоит не так густо, поэтому уж если еще куда и можно протиснуться, то только туда.'
			move(boozer,'border')
			move(ribbon,'border')
			genqdone = 1
			return true
	}
	if (player.loc == 'grandstand' && obj == king){
		p ('Ну это уж слишком. Такое даже Франшетте с рук не сойдет.')
		return true
	}
	if (player.loc == 'hall' && obj == hugo){
		p ('Вашего братца речами не проймешь.')
		return true
	}
	else {
		p ('#ненужно')
		return true	
	}			
}

function liedawn(obj){
	if (player.loc == 'firstRoom' && obj == bed){
		p ('<b>Лечь кровать</b> звучит как-то не очень. Давайте сразу договоримся, что в игре не будет таких корявых команд. Если хотите лечь спать, просто введите команду <b>спать</b>.')	
		return true
	}
	else{
		p ('По воле автора герои этой истории не будут ложится или садится на что либо. Если реализовывать полноценный парсер в рамках этого движка, то зачем нужен протопарсер?')
		return true
	}
}

function touch(obj){
	if (player.loc == 'firstRoom' && obj == sun){
		p ('Оно горячее, а у вас прихваток нет.')
		return true
	}
	if (player.loc == 'firstRoom' && obj == bed){
		p ('От времени подстилка слежалась и затвердела. Пожалуй спать на мешке набитом камнями почти так же удобно, как на этой кровати.')
		return true
	}
	if (player.loc == 'firstRoom' && obj == walls){
		p ('Стена холодная, шершавая и чуть влажная.')
		return true
	}
	if (player.loc == 'cellar' && obj == walls){
		p ('От каменной стены так и веет холодом.')
		return true
	}
	if (player.loc == 'firstRoom' && obj == ground){
		p ('Пол холодный и гладкий.')
		return true
	}
	if (player.loc == 'cellar' && obj == ground){
		p ('Пол каменный, неровный, но теплый. Это наверно оттого, что вы на нем долго сидели.')
		return true
	}
	if (player.loc == 'acreage' && obj == maiden){
		p ('Ну знаете ли... За такое можно и по морде схлопотать.')
		return true
	}
	if (player.loc == 'acreage' && obj == dog){
		p ('Собака рычит. Ей непонятно зачем вам потребовалось ее пальпировать.')
		return true
	}
	if (player.loc == 'acreage' && obj == gardian){
		p ('Руки прочь от представителя власти, а то он вам врежет мечом плашмя между лопаток.')
		return true
	}
	if (player.loc == 'grandstand' && obj == king){
		p ('Франшетта! Вы что позабыли приличия? Смотрите, а то будет как в детском стишке: "Старичок паучок, Франшетту в уголок поволок." В оригинале было не совсем так, но уж ладно.')
		return true
	}
	if (player.loc == 'grandstand' && obj == knightogust){
		p ('Вы изловчились и потянули руку к рыцарю. Увидевшая это Леди Анна возмущенно сощурилась и принялась лупить вас по руке веером.')
		return true
	}
	if (player.loc == 'grandstand' && obj == ladyanna){
		p ('Окружающие могут подумать о вас дурно. Умерьте свой пыл. То есть все нормально, вы потянули к ней руки, что бы придушить, но люди поймут вас превратно.')
		return true
	}
	if (player.loc == 'border' && obj == knightogust){
		p ('Трогать рыцаря? Придет же кому-то такое в голову.')
		return true
	}
	if (player.loc == 'eastwall' && obj == thief){
		p ('Вы явно нарываетесь на неприятности, а неприятности вам ни к чему.')
		return true
	}
	if (player.loc == 'eastwall' && obj == gals){
		p ('Ага, сейчас вы станете лапать этих девиц и начнется драка.')
		return true
	}
	if (obj == coin){
		p ('Старая монета, прошедшая через тысячи рук, стала почти гладкой.')
		return true
	}
	if (obj == bottle){
		p ('У горлышка есть небольшая щербинка, а ещё, крутя бутылку в руках, вы обнаружили маленький бугорок на донышке - это выпирает случайно попавший в стекло камушек, вот пожалуй и всё.')
		return true
	}
	if (obj == letter){
		p ('Бумага толстая, дешёвая, спрессованная из крупных волокон. Качественную Хьюго не покупает принципиально - гоблины народец скаредный.')
		return true
	}
	if (obj == candywrapper){
		p ('Обёртка сделана из фольги.')
		return true
	}
	if (obj == ribbon){
		p ('Стопроцентный, натуральный шёлк - тонкий и гладкий.')
		return true
	}
	if (obj == lattice){
		p ('Прутья холодные и гладкие.')
		return true
	}
	if (obj == sky){
		p ('Вы не Атлант.')
		return true
	}
	if (obj == stars){
		p ('Ваша попытка окончилась полнейшей неудачей.')
		return true
	}
	if (obj == fir){
		p ('Прикоснувшись к шершавой коре, вы почувствовали, что ваши пальцы увязли в густой, липкой смоле. Что бы оторвать руку потребовалось некоторое усилие.')
		return true
	}
	if (obj == hugo){
		p ('Зачем вам трогать Хьюго? А! Возможно вы хотите его придушить. Спешу вас огорчить - такого глагола в игре нет. Придется вам найти более мирное решение вашей проблемы.')
		return true
	}
	if (obj == statue){
		p ('О! Я бы не стал трогать эти статуи. Пигмалеон может приревновать. К тому же мрамор тоже пачкается. Вернуть ему первозданную белизну бывает ой как не просто.')
		return true
	}
	if (obj == kip){
		p ('Простыни тоже шёлковые. Хм.')
		return true
	}
	if (obj == dress){
		p ('Вы не разбираетесь в тканях настолько хорошо, что бы понять, что это за материал.')
		return true
	}
	if (obj == pillow){
		p ('Шёлковые подушки отороченные кружевами. Плотные, почти жёсткие. Под голову такую не положишь.')
		return true
	}
	if (obj == canopy){
		p ('Почему-то люди любят все трогать - одежду, занавески, простыни.')
		return true
	}
	if (player.loc == 'hall' && obj == walls){
		p ('У этой ткани чрезвычайно замысловатое плетение - четко прослеживается рельефный, цикличный узор.')
		return true
	}
	else{
		p ('Вы не чувствуете ничего необычного.')
		return true
	}
}

function smoke(obj){
	if (character == 3 && cigarette.loc == 'player'){
		p ('Курить - здоровью вредить. Да и вообще эта сигаретка может вам пригодится для другого. Не для того вы её выпрашивали, что бы просто скурить.')
		return true
	}
	if (character == 3 && cigarette.loc != 'player'){
		p ('Вам курить в данный момент нечего - в карманах пусто.')
		return true
	}
	else{
		p ('Поберегите легкие, да и вообще здесь курить нельзя. У вас вэйп? Вэйп тоже нельзя.')
		return true
	}
}

function ruddle(obj){
	if (player.loc == 'cellar' && obj == walls){
		p ('Вы пописали на стену. Поздравляю. Не вы первый, не вы последний. Для варгов это нормально.')
		return true
	}
	else{
		p ('Ведите себя прилично.')
		return true
	}
}

let ignorewarning = 0
//Проверка на повторное срабатывание xyzzy

function xyzzy(){
	if (ignorewarning == 0){
		p ('Может не стоит прибегать к помощи слов, значения которых вы не знаете? Вдруг это какое-нибудь страшное колдунство.')
		ignorewarning = 1
		return true
	}
	if (ignorewarning == 1 && character == 1 && player.loc == 'firstRoom'){
		p ('Свет, озаривший небеса, был настолько ярок, что даже здесь, в землянке, ослепил вас. От нарастающего гула заложило уши, потом последовал взрыв и земля затряслась. Стены осыпались, потолок упал вам на голову и всё стихло. Придя в себя вы с невероятным трудом выбрались наружу. Что за жалкое зрелище ждало вас там - замок наполовину разрушен и объят пожаром, деревья вокруг опалены или сломаны. Всё пропало. Вряд ли после такого хоть кто-то выжил. Придется возвращаться к родичам за реку или искать место при дворе другого короля. Это была победа, пиррова победа.')
		end(0)
		return true
	}
	if (ignorewarning == 1 && character == 1 && player.loc == 'cellar'){
		p ('Вы пытаетесь сказать xyzzy, но непослушная гортань варга извлекает из глотки только звуки смутно похожие на слово wuffy. Ничего не выйдет.')
		return true
	}
	if (ignorewarning == 1 && character == 1 && player.loc == 'forest'){
		p ('В ночном небе вспыхнула яркая звезда, она все росла и росла, а вы стояли и завороженно смотрели на неё. Это был метеорит, сияющий как тысяча солнц, ревущий как дракон и гипнотизирующий, как удав. Из оцепенения вас вывел взрыв, ударная волна сбила с ног, а ближайшее дерево упало и размозжило вам череп. Это конец.')
		end(0)
		return true
	}
	if (ignorewarning == 1 && character == 1 && player.loc == 'bigroad'){
		p ('В ночном небе вспыхнула яркая звезда, она все росла и росла, а вы стояли и завороженно смотрели на неё. Это был метеорит, сияющий как тысяча солнц, ревущий как дракон и гипнотизирующий, как удав. Из оцепенения вас вывел взрыв, ударная волна сбила с ног, затем прошла волна огня и всё стихло. Ну что сказать, ваша песенка спета. Тем кто был в замке повезло намного больше - они хотя бы умерли мгновенно или почти мгновенно. Это конец.')
		end(0)
		return true
	}
	if (ignorewarning == 1 && character == 1 && player.loc == 'beechgrove'){
		p ('В ночном небе вспыхнула яркая звезда, она все росла и росла, а вы стояли и завороженно смотрели на неё. Это был метеорит, сияющий как тысяча солнц, ревущий как дракон и гипнотизирующий, как удав. Сначала вас оглушил взрыв, потом сшибла с ног ударная волна, а довершила начатое сплошная стена огня. Те кто был в замке уже мертвы, а вам предстоит еще несколько часов мучительно крючится ожидая пока смерь избавит вас от страданий.')
		end(0)
		return true
	}
	if (ignorewarning == 1 && character == 2){
		p ('В ночном небе вспыхнула яркая звезда, она все росла и росла, а вы стояли и завороженно смотрели на неё. Это был метеорит, сияющий как тысяча солнц, ревущий как дракон и гипнотизирующий, как удав. Но вот оцепенение спало, пришло осознание того, что метеорит летит прямо на замок, послышались крики, началась паника, давка и люди побежали кто куда. Это было напрасно, через секунду всех настигла смерть. Вы же очнулись в своей родной землянке, погребенный под обломками. Вам удалось выбраться наружу. В память о вашем злодеянии вам досталась хромота и заикание.')
		end(0)
		return true
	}
	if (ignorewarning == 1 && character == 3){
		p ('В ночном небе вспыхнула яркая звезда, она все росла и росла, а вы стояли и завороженно смотрели на неё. Это был метеорит, сияющий как тысяча солнц, ревущий как дракон и гипнотизирующий, как удав. Но вот оцепенение спало, пришло осознание того, что метеорит летит прямо на замок, послышались крики, началась паника, давка и люди побежали кто куда. Это было напрасно, через секунду всех настигла смерть. Вы же очнулись в своей родной землянке, погребенный под обломками. Вам удалось выбраться наружу. В память о вашем злодеянии вам досталась хромота и заикание.')
		end(0)
		return true
	}
	if (ignorewarning == 1 && character == 4){
		p ('В ночном небе вспыхнула яркая звезда, она все росла и росла, а вы стояли и завороженно смотрели на неё. Это был метеорит, сияющий как тысяча солнц, ревущий как дракон и гипнотизирующий, как удав. Но вот оцепенение спало, пришло осознание того, что метеорит летит прямо на замок, послышались крики, началась паника, давка и люди побежали кто куда. Это было напрасно, через секунду всех настигла смерть. Вы же очнулись в своей родной землянке, погребенный под обломками. Вам удалось выбраться наружу. В память о вашем злодеянии вам досталась хромота и заикание.')
		end(0)
		return true
	}
	if (ignorewarning == 1 && character == 5){
		p ('В ночном небе вспыхнула яркая звезда, она все росла и росла, а вы стояли и завороженно смотрели на неё. Это был метеорит, сияющий как тысяча солнц, ревущий как дракон и гипнотизирующий, как удав. Но вот оцепенение спало, пришло осознание того, что метеорит летит прямо на замок, послышались крики, началась паника, давка и люди побежали кто куда. Это было напрасно, через секунду всех настигла смерть. Вы же очнулись в своей родной землянке, погребенный под обломками. Вам удалось выбраться наружу. В память о вашем злодеянии вам досталась хромота и заикание.')
		end(0)
		return true
	}
	if (ignorewarning == 1 && character == 6 && hugo.loc != 'hall'){
		p ('Вы были в двух шагах от победы, но черт вас дернул применить xyzzy и вот из окна струится яркий свет, комнату наполняет гул, вы слышите взрыв и проваливаетесь куда-то вниз вместе с грудой камней. Леди Анна мертва, а вы очнулись в своей родной землянке, погребенный под обломками. Вам удалось выбраться наружу. В память о вашем злодеянии вам досталась хромота и заикание.')
		end(0)
		return true
	}
	if (ignorewarning == 1 && character == 6 && hugo.loc == 'hall'){
		p ('-- Xyzzy, -- прошептала Леди Анна одними губами.<br>-- Xyzzy? -- озадаченно повторил Хьюго и вопросительно посмотрел на Леди Анну.<br> -- Да, мой дорогой братец. Xyzzy, xyzzy, xyzzy! -- ответили вы и зловеще рассмеялись.<br> -- Фридрих? Ах ты... -- но закончить он не успел.<br>Яркий свет, гул и четыре метеорита один за другим врезались в замок. Вы очнулись в землянке, погребенный под обломками, откашлялись и рассмеялись. Вот только конец у этой истории совсем не счастливый, ведь ваш брат перед смертью тоже запустил метеорит и он упал прямехонько на то место где была ваша землянка. Сейчас тут огромная воронка и от вас ничегошеньки не осталось. Так погибли чёрный и зелёный, погибли почти одновременно.')
		end(0)
		return true
	}
}

function drink(){
	if (character == 2){
		p ('Вам уже хватит, а то завалитесь в канаву и проспите до утра.')
		return true
	}
	else{
		p ('Поберегите лучше голову, печень и почки. Вам сейчас не до горячительных напитков.')
		return true
	}
}

function tear(obj){
	if (player.loc == 'hall' && obj == evidence){
		p ('Разорвать? Такую толстую пачку и быстро? Не успеете. Кроме того их могут склеить из клочков. Надо придумать что-то попроще.')
		return true
	}
	if (player.loc == 'hall' && obj == dress && dress.worn == true && hugo.loc != 'hall'){
		p ('Зачем разрывать, если можно снять?')
		return true
	}
	if (player.loc == 'hall' && obj == dress && dress.worn == true && hugo.loc == 'hall'){
		p ('Вы разрываете платье у себя на груди и начинаете истошно кричать. Хьюго в ужасе убегает. Он понял к чему идет дело. Спустя секунду, вы слышите, как возмущенно вопит ваш брат, схваченный охраной и как один из стражников идет в покои, что бы проверить все ли здесь в порядке.  Вот теперь можно спокойно сжечь бумаги и вернуться в прежнюю оболочку. Очнувшись Леди Анна ничего не вспомнит, но разорванное платье и исчезновение бумаг её насторожит. Хьюго серьезно влип. Теперь ему, а не вам, придется уносить ноги из замка. Ха-ха-ха!')
		end(1)
		return true
	}
	else{
		p ('Вы не Самсон. Не надо рвать и метать.')
		return true
	}
}

function howl(){
	if (player.loc == 'cellar'){
		p ('У-у-у-у-у-у-у-у-у! У-у-у! Ну в общем не оперный голос.')
		return true
	}
	else{
		p ('Хотите заунывно выть? Возвращайтесь в шкуру варга!')
		return true
	}
}

function repair(obj){
	if (obj == stairs){
		p ('Вы не хотите чинить лестницу. Пусть Хьюго чинит, если хочет - это по его части.')
		return true
	}
	else{
		p ('Нельзя починить то, что не сломано.')
		return true
	}	
}

function cry(){
	p ('Не плачь, дружок. Это всего лишь маленький протопарсер, он тебя не обидит.')
	return true
}

function flip(obj){
	if (obj == coin){
		p ('Вы подбрасываете монету, но вот беда - время стерло рельефные изображения и с той и с другой стороны бронзового кружочка. Разобрать где тут аверс, а где реверс не представляется возможным.')
		return true	
	}
	else{
		p ('Так не пойдет.')
		return true
	}
}

function sitdown(){
	p ('В этой игре примитивная модель взаимодействия с миром и автор не посчитал нужным реализовывать глагол <b>сесть</b>. Это все-таки протопарсер.')
	return true	
}

function standup(){
	if (player.loc == 'grandstand'){
		p ('-- Куда же ты, моя козочка? Лучшее место здесь! -- проворковал король, притянул к себе своей здоровой ручищей и поцеловал вас в щечку. Из этих стальных оков вам не сбежать...')
		return true
	}
	else{
		p ('Что бы <b>встать</b>, нужно сначала <b>сесть</b>. На самом деле автор не стал реализовывать эту модель взаимодействия в рамках столь простой игры.')
		return true
	}
}

function shout(){
	if (player.loc == 'hall' && hugo.loc == 'hall'){
		p ('Когда знатная женщина кричит, как полоумная, незамедлительно прибегает стража. Правильно - пусть кто-то другой сделает за вас всю грязную работу. Вы с удовольствием смотрите, как два молодчика выволакивают вашего брата из покоев. Очнувшись Леди Анна не вспомнит почему позвала стражу и велела ей вывести Хьюго, но это и не важно - собранный на вас компромат догорает в камине. Кроме того вам приятно осознавать, что зловредный союз Леди Анны и Хьюго наконец-то даст трещину.')
		end(1)
		return true
	}
	else{
		p ('Не нужно кричать. Если подумать, то все не так уж и плохо.')
		return true
	}
}

function censoredoff(){
	if (vaudeville == 0){
		p ('Цензура в игре отключена.')
		vaudeville = 1
		return true
	}
	else{
		p ('Цензура в игре включена.')
		vaudeville = 0
		return true
	}	
}

function roar(){
	if (player.loc == 'cellar'){
		p ('Вы рычите, но от этого звука, полного ненависти, вам становиться не по себе.')
		return true
	}
	else{
		p ('Не стоит право так бурно проявлять свои эмоции.')
		return true
	}
}

function grins(){
	if (player.loc == 'cellar'){
		p ('Ну это вы вроде как... улыбаетесь, только улыбка эта какая-то пугающая. Хорошо что тут зеркала нет, а то бы стало страшно.')
		return true
	}
	else{
		p ('#ненужно')
		return true
	}
}

//Добавить какой-нибудь разовый прикол на этот глагол - возможность что-то найти? Подумать.

function dig(){
	if (player.loc == 'cellar'){
		p ('Хоть у вас и страшные, острые когти, они вам не помогут - пол тверже камня.')
		return true
	}
	if (player.loc == 'firstRoom'){
		p ('Если бы тут было что-то закопано, вы бы знали. Это все-таки ваш дом.')
		return true
	}
	else{
		p ('Надеетесь найти клад? Оставьте это! Если тут когда-то что-то и было, это уже давно выкопали и продали на черном рынке местные искатели.')
		return true
	}
}

function scratch(){
	if (player.loc == 'cellar'){
		p ('Скребись, не скребись, толку ноль.')
		return true
	}
	else{
		p ('Вы не женщина-кошка, не Росомаха или кто-то другой из супер героев решающих свои проблемы подобным образом.')
		return true
	}
}

function shake(obj){
	if (obj == fir || obj == beechs){
		p ('Вы слишком маленький и слабый - дерево даже не шелохнулось.')
		return true
	}
	if (obj == boozer || obj == gardian || obj == dog || obj == thief || obj == knightogust || obj == king || obj == gals || obj == maiden || obj == ladyanna){
		p ('Возьмите себя в руки.')
		return true
	}
	if (obj == hugo){
		p ('А смысл?')
		return true
	}
	else{
		p ('Это абсолютно бессмысленно.')
		return true
	}	
}

function spit(){
	p ('Придворный этикет гласит - плюй только в плевательницу. Здесь нет плевательницы.')
	return true
}

function lick(){
	p ('Фу! Не стоит облизывать все что попадается на глаза, подхватите еще какую-нибудь гадость.')
	return true
}

function seach(){
	p ('Вы не смогли найти что-то достойное внимания.')
	return true
}

function gameinfoget(){
	p ('<p>Застряли и не знаете что делать? Попробуйте ввести глагол <b>думать</b>, он выдает подсказки.</p><p>Если вы вообще никогда не играли в парсеры, введите команду <b>помощь</b>. Там будет ссылка на стандартные глаголы из документации в репозитории протопарсера.</p><p>В этой игре используются только примитивные команды - <b>глагол</b> или <b>глагол + существительное</b>. Я старался сделать так, что бы все команды звучали естественно, то есть нет ситуаций, когда, например, предлог между глаголом и существительным подразумевается, но ввиду особенностей протопарсера опускается. В игре нет ситуаций, когда придется писать что-то вроде: "<i>прыгнуть вагон</i>", "<i>кричать окно</i>" и пр. Все глаголы необходимые для прохождения игры, кроме нескольких уникальных, из стандартной библиотеки.</p><p>С прискорбием сообщаю, что вместимость инвентаря ограничена двумя предметами. Это увеличит количество бэктрекинга в игре. В данный момент я не знаю как составить условие таким образом, что бы можно было не ограничивая инвентарь избежать проблем с предметами. Надеюсь в будущем я сумею реализовать этот механизм. Увы это не только проблема составления грамотного условия, но и проблема геймдизайна. Первое решаемо, а вот второе не факт. Поживем - увидим.</p><p>По сути своей в игре только одна загадка, но решается она поэтапно. В видео играх вы не раз сталкивались с такими пазлами. Не исключено, что в бесконечно разнообразном мире текстовых игр такое делали не раз, но вот я пока не знаю такой игры, быть может потому, что играл в классику не так много, как того требует авторство.</p>')
	return true
}
